<?php

include("./include/config.php");



if (!isset($_SESSION['a_user'])) {

    header("Location: index.php");

} else {

    include("./include/sidebar.php");

    ?>
    

    <div class="col-xs-12">
       
        <div class="box-content">

<?php

// Define an array of table names
$tables = array("states", "city", "ads", "users", "services", "category");

// Initialize an array to store table counts
$tableCounts = array();

// Iterate through tables and fetch total counts
foreach ($tables as $table) {
    $sql = "SELECT COUNT(*) as count FROM $table";
    $result = mysqli_query($conn, $sql);

    if ($result) {
        $row = mysqli_fetch_assoc($result);
        $tableCounts[$table] = $row['count'];
    } else {
        $tableCounts[$table] = 0; // Set count to 0 if there's an error
    }
}

// Close the database connection
?>
    <div class="row small-spacing">

 <?php
        // Loop through the table counts and create boxes
        foreach ($tableCounts as $table => $count) {
            echo '<div class="col-lg-4 col-xs-12">';
            echo '<div class="box-content">';
            echo '<h4 class="box-title">' . ucfirst($table) . ' Count</h4>';
            echo '<div class="content widget-stat">';
            echo '<div class="right-content">';
            echo '<h2 class="counter text-info">' . $count . '</h2>';
            echo '</div>';
            echo '</div>';
            echo '</div>';
            echo '</div>';
        }
        ?>

        </div>
        </div>

    </div>






    <?php

}

include("./include/footer.php");

?>