<?php
include("./include/config.php");

if (!isset($_SESSION['a_user'])) {
    header("Location: index.php");
} else {
    include("./include/sidebar.php");

    if (isset($_POST['add_cate_btn'])) {
        $category_name = $_POST['category_name'];
        function generateSlug($input) {
            // Convert the input to lowercase
            $slug = strtolower($input);
        
            // Replace spaces with hyphens
            $slug = str_replace(' ', '-', $slug);
        
            // Remove any special characters or non-alphanumeric characters
            $slug = preg_replace('/[^a-z0-9-]/', '', $slug);
        
            return $slug;
        }
        
       
        $slug = generateSlug($category_name);
       
        // $category_banner =  $_POST['category_banner'];
        $path = "banners/";
        $banner = $_FILES['banner']['name'];

        $banner_ext = pathinfo($banner, PATHINFO_EXTENSION);
        $banner_filename = time().'.'.$banner_ext;
        move_uploaded_file($_FILES['banner']['tmp_name'], $path.'/'.$banner_filename);

        $query = "INSERT INTO category (category_name, category_banner, slug) VALUES ('$category_name', '$banner_filename', $slug)";

        $query_run = mysqli_query($conn, $query);

        if ($query_run) {
            // JavaScript to display an alert and redirect
            echo '<script>';
            echo 'alert("Category added successfully");';
            echo 'window.location.href = "add_category.php";';
            echo '</script>';
        } else {
            echo "Something went wrong!";
        }
    }
?>

<div class="col-lg-12 col-xs-12">
    <div class="box-content card white">
        <h4 class="box-title">Add Category</h4>
        <div class="card-content">
            <form action="" method="POST" enctype="multipart/form-data">
            <div class="form-group col-lg-6">
                    <label for="categorySelect">Category Name</label>
                    <input class="form-control" name="category_name" type="text">
                  
            </div>
            
            

                <div class="form-group col-lg-6">
                   <label for="mainImageInput">Category Banner</label>
                    <input type="file" name="banner" id="mainImageInput" accept="image/*" style="margin-top: 8px;">
                </div>
                <button type="submit" name="add_cate_btn" class="btn btn-primary btn-sm waves-effect waves-light" style="margin-top: 15px;">Add</button>
            </form>
        </div>
    </div>
</div>

<?php
    include("./include/footer.php");
}
?>
