<?php
include("./include/config.php");


if (!isset($_SESSION['a_user'])) {
    header("Location: index.php");
    exit;
} else {
    include("./include/sidebar.php");

    $edit_id = isset($_GET['edit_id']) ? $_GET['edit_id'] : 0;
    $edit_mode = false;
    $existing_data = array();

    if ($edit_id) {
        $edit_query = "SELECT * FROM states WHERE id = $edit_id";
        $edit_result = mysqli_query($conn, $edit_query);

        if (mysqli_num_rows($edit_result) == 1) {
            $edit_mode = true;
            $existing_data = mysqli_fetch_assoc($edit_result);
        } else {
            echo "Invalid edit ID.";
            exit;
        }
    }

    if (isset($_POST['update_states_btn'])) {
        $state_name = $_POST['state_name'];
     

        if ($edit_mode) {
            $update_query = "UPDATE states SET
                state_name = '$state_name'
                WHERE id = $edit_id";

            $query_run = mysqli_query($conn, $update_query);

            if ($query_run) {
                echo '<script>';
                echo 'alert("States updated successfully");';
                echo 'window.location.href = "view_state.php";';
                echo '</script>';
            } else {
                echo "Something went wrong: " . mysqli_error($conn);
            }
        }
       
    }
?>

<div class="col-lg-12 col-xs-12">
				<div class="box-content card white">
					<h4 class="box-title">Add State</h4>
					<!-- /.box-title -->
					<div class="card-content">
						<form action="" method="POST" enctype="multipart/form-data">
    							<div class="form-group col-lg-6">
                                    <label for="exampleInputEmail1">State Name</label>
                                    <select class="form-control" id="stateSelect" name="state_name">
                                        <!--<option value="">Select a state</option>-->
                                        <?php
                                        // Query to fetch state names from the "states" table
                                        $sql = "SELECT id, state_name FROM states";
                                        $result = $conn->query($sql);
                                
                                        if ($result->num_rows > 0) {
                                            while ($row = $result->fetch_assoc()) {
                                                $stateId = $row['id'];
                                                $stateName = $row['state_name'];
                                
                                                // Check if the current state is selected (based on $existing_data['state'])
                                                $selected = ($stateName == $existing_data['state_name']) ? 'selected' : '';
                                
                                                // Output an <option> element for each state
                                                echo "<option value='$stateName' $selected>$stateName</option>";
                                            }
                                        } else {
                                            echo "<option value=''>No states found</option>";
                                        }
                                        ?>
                                    </select>
                                </div>
							<button type="submit" name="add_state_btn" class="btn btn-primary btn-sm waves-effect waves-light mt-9" style="margin-left: 1em; margin-top: 2.2em;">Add</button>
						</form>
					</div>
					<!-- /.card-content -->
				</div>
				<!-- /.box-content -->
			</div>
			<!-- /.col-lg-6 col-xs-12 -->







    <?php

}

include("./include/footer.php");

?>
