<?php
include("./include/config.php");

if (!isset($_SESSION['a_user'])) {
    header("Location: index.php");
    exit;
} else {
    include("./include/sidebar.php");

    $edit_id = isset($_GET['edit_id']) ? $_GET['edit_id'] : 0;
    $edit_mode = false;
    $existing_data = array();

    if ($edit_id) {
        $edit_query = "SELECT * FROM india_top_location WHERE id = $edit_id";
        $edit_result = mysqli_query($conn, $edit_query);

        if (mysqli_num_rows($edit_result) == 1) {
            $edit_mode = true;
            $existing_data = mysqli_fetch_assoc($edit_result);
        } else {
            echo "Invalid edit ID.";
            exit;
        }
    }

    if (isset($_POST['update_tlocation_btn'])) {
        
        $stateID = $_POST['state_id'];
        $cityID = $_POST['city_id'];
       

        $path = "uploads/";

        if ($edit_mode) {
            

            if ($edit_mode) {
                $update_query = "UPDATE india_top_location SET
                    
                    state_id = '$stateID',
                    city_id = '$cityID'
                    WHERE id = $edit_id";

                $query_run = mysqli_query($conn, $update_query);

               if ($query_run) {
                    echo '<script>';
                    echo 'alert("Top Location updated successfully");';
                    echo 'window.location.href = "view_top_location.php";'; // This line will take you back one page in the browser's history.
                    echo '</script>';
                }else {
                    echo "Something went wrong: " . mysqli_error($conn);
                }
            }
        }
    }
}
?>

<div class="col-lg-12 col-xs-12">
    <div class="box-content card white">
        <h4 class="box-title">Edit Top locations - </h4>
        <div class="card-content">
            <form action="" method="POST" enctype="multipart/form-data">
                <!-- <div class="form-group col-lg-4">
                    <label for="exampleInputEmail1">Post id</label>
                    <input type="text" class="form-control" id="exampleInputEmail1" name="post_id" placeholder="Post ID">
                </div> -->
                
                <div class="form-group col-lg-6">
                    <label for="exampleInputEmail1">State</label>
                    <select class="form-control" id="stateSelect" name="state_id">
                        <!--<option value="">Select a state</option>-->
                        <?php
                        // Query to fetch state names from the "states" table
                        $sql = "SELECT id, state_name FROM states";
                        $result = $conn->query($sql);

                        if ($result->num_rows > 0) {
                            while ($row = $result->fetch_assoc()) {
                                $stateId = $row['id'];
                                $stateName = $row['state_name'];

                                // Check if the current state is selected (based on $existing_data['state'])
                                $selected = ($stateId == $existing_data['state_id']) ? 'selected' : '';

                                // Output an <option> element for each state
                                echo "<option value='$stateId' $selected>$stateName</option>";
                            }
                        } else {
                            echo "<option value=''>No states found</option>";
                        }
                        ?>
                    </select>
                </div>

                <div class="form-group col-lg-6">
                    <label for="exampleInputPassword1">City</label>
                    <select class="form-control" id="citySelect" name="city_id">
                        <!--<option value="">Select a state</option>-->
                        <?php
                        // Query to fetch state names from the "states" table
                        $sql1 = "SELECT id, city_name FROM city";
                        $result1 = $conn->query($sql1);

                        if ($result1->num_rows > 0) {
                            while ($row1 = $result1->fetch_assoc()) {
                                $cityId = $row1['id'];
                                $cityName = $row1['city_name'];

                                // Check if the current state is selected (based on $existing_data['state'])
                                $selected1 = ($cityId == $existing_data['city_id']) ? 'selected' : '';

                                // Output an <option> element for each state
                                echo "<option value='$cityId' $selected1>$cityName</option>";
                            }
                        } 
                        // else {
                        //     echo "<option value=''>No states found</option>";
                        // }
                        ?>
                        <option value="">Select a city</option>
                    </select>
                </div>
            

                <div class="checkbox col-lg-12" style="margin-top: 2em;">
                    <button type="submit" name="update_tlocation_btn" class="btn btn-primary btn-sm waves-effect waves-light">Update</button>
                </div>
            </form>
        </div>
        <!-- /.card-content -->
    </div>
    <!-- /.box-content -->
</div>
<!-- /.col-lg-6 col-xs-12 -->

<!-- Include jQuery library -->
<script src="https://code.jquery.com/jquery-3.6.0.min.js"></script>

<script>
document.addEventListener("DOMContentLoaded", function () {
    const stateSelect = document.getElementById("stateSelect");
    const citySelect = document.getElementById("citySelect");
    const existingCityId = <?php echo $existing_data['city_id']; ?>; // Get the existing city ID from PHP

    // Add an event listener to the state select element
    stateSelect.addEventListener("change", function () {
        const selectedStateId = stateSelect.value;

        // Clear the city options
        citySelect.innerHTML = "<option value=''>Select a city</option>";

        if (selectedStateId !== "") {
            // Use AJAX to fetch city data based on the selected state
            // Replace 'get_cities.php' with the URL of your server-side script
            fetch(`get_cities.php?state_id=${selectedStateId}`)
                .then((response) => response.json())
                .then((data) => {
                    data.forEach((city) => {
                        const option = document.createElement("option");
                        option.value = city.id;
                        option.textContent = city.city_name;
                        citySelect.appendChild(option);
                    });

                    // Select the existing city if it matches one of the fetched options
                    if (existingCityId !== "") {
                        const existingOption = citySelect.querySelector(`option[value='${existingCityId}']`);
                        if (existingOption) {
                            existingOption.selected = true;
                        }
                    }
                })
                .catch((error) => console.error(error));
        }
    });

    // Trigger the state select change event to populate the city options initially
    stateSelect.dispatchEvent(new Event("change"));
});
</script>

<script>
document.addEventListener("DOMContentLoaded", function () {
    const citySelect = document.getElementById("citySelect");
    const locationSelect = document.getElementById("locationSelect");

    // Add an event listener to the state select element
    citySelect.addEventListener("change", function () {
        const selectedCityId = citySelect.value;

        // Clear the city options
        locationSelect.innerHTML = "<option value=''>Select a location</option>";

        if (selectedCityId !== "") {
            // Use AJAX to fetch city data based on the selected state
            // Replace 'get_cities.php' with the URL of your server-side script
            fetch(`get_locations.php?city_id=${selectedCityId}`)
                .then((response) => response.json())
                .then((data) => {
                    data.forEach((location) => {
                        const option = document.createElement("option");
                        option.value = location.id;
                        option.textContent = location.location_name;
                        locationSelect.appendChild(option);
                    });
                })
                .catch((error) => console.error(error));
        }
    });
});
</script>

<?php
 

include("./include/footer.php");
?>
