<?php

include("./include/config.php");



if (!isset($_SESSION['a_user'])) {

    header("Location: index.php");

} else {

    include("./include/sidebar.php");

    ?>
    

    <div class="col-xs-12">
       
        <div class="box-content">

            <h4 class="box-title">View Pending Ads</h4>
<a href="#" id="delete-selected" class="margin-bottom-10 btn waves-effect waves-light btn-primary btn-xs">Delete Selected</a>
<a href="#" id="approve-selected" class="margin-bottom-10 btn waves-effect waves-light btn-primary btn-xs">Approve Selected</a>
<a href="#" id="reject-selected" class="margin-bottom-10 btn waves-effect waves-light btn-primary btn-xs">Reject Selected</a>
            <div class="table-responsive">

                <table class="table ">

                    <thead>

                        <tr>


<?php
echo '<th class="t-head"><input type="checkbox" id="select-all"></th>';

echo '<th class="t-head">ID</th>';
echo '<th class="t-head">Post ID</th>';
echo '<th class="t-head">Title</th>';
echo '<th class="t-head">Category</th>';

echo '<th class="t-head">City Name</th>';
echo '<th class="t-head">State Name</th>';
echo '<th class="t-head">Whatsapp Number</th>';
echo '<th class="t-head">Contact Number</th>';
echo '<th class="t-head">Approve AD</th>';
echo '<th class="t-head">Main Image</th>';
echo '<th class="t-head">Actions</th>';


?>

                        </tr>

                    </thead>
  <tbody>

  <?php
// Assuming you have established a database connection ($conn)

$sql = "SELECT ads.id, ads.status, ads.post_id, ads.title,
               city.city_name AS city, states.state_name AS state, category.category_name AS category,
               ads.whatsapp_number, ads.contact_number, ads.main_image
              
        FROM ads
        LEFT JOIN city ON ads.city_id = city.id
        LEFT JOIN states ON ads.state_id = states.id
        LEFT JOIN category ON ads.category_id = category.id WHERE ads.status = 'pending'";
        

$result = $conn->query($sql);

if ($result->num_rows > 0) {
    // Output data of each row
    while ($row = $result->fetch_assoc()) {
        echo '<tr>';
                                            echo '<td><input type="checkbox" name="selectedRows[]" value="' . $row['id'] . '"></td>';

        echo '<td class="t-row">' . $row['id'] . '</td>';
        echo '<td class="t-row">' . $row['post_id'] . '</td>';
        echo '<td class="t-row">' . $row['title'] . '</td>';
        echo '<td class="t-row">' . $row['category'] . '</td>';
        
        echo '<td class="t-row">' . $row['city'] . '</td>';
        echo '<td class="t-row">' . $row['state'] . '</td>';
        echo '<td class="t-row">' . $row['whatsapp_number'] . '</td>';
        echo '<td class="t-row">' . $row['contact_number'] . '</td>';
        if ($row['status'] == 'published')  {
            echo '<td class="btn btn-success t-row" style="width: 6.5em; margin-top: 5px; margin-left: 2.5em;">Approved</td>';
        } else {
           echo '<td class="btn btn-info t-row" style="width: 6.5em; margin-top: 5px; margin-left: 2.5em;"><a href="apr_ad_1.php?postId=' . $row['id'] . '">Approve</a></td>';

        }
        echo '<td class="t-row"><img src="uploads/' . $row['main_image'] . '" alt="Main Image"></td>';
        echo '<td class="btn btn-info t-row" style="width: 4.5em; margin-top: 5px; margin-right: 5px;"><a href="edit_ads.php?edit_id=' . $row['id'] . '">Edit</a> </td> 
        <td class="btn btn-danger t-row" style="width: 4.5em; margin-top: 5px;"><a href="delete.php?table=ads&delete_id=' . $row['id'] . '">Delete</a></td>';
        echo '</tr>';

    }
} else {
    echo "No records found";
}

// Close the database connection
$conn->close();
?>

                    </tbody>

                </table>
                
           
              

            </div>

        </div>

    </div>


<script>
    // Select/Deselect all rows when the "Select All" checkbox is clicked
    document.getElementById('select-all').addEventListener('change', function () {
        var checkboxes = document.getElementsByName('selectedRows[]');
        for (var i = 0; i < checkboxes.length; i++) {
            checkboxes[i].checked = this.checked;
        }
    });

    // Delete selected rows when the "Delete Selected" button is clicked
    document.getElementById('delete-selected').addEventListener('click', function () {
        var checkboxes = document.getElementsByName('selectedRows[]');
        var selectedRows = [];
        for (var i = 0; i < checkboxes.length; i++) {
            if (checkboxes[i].checked) {
                selectedRows.push(checkboxes[i].value);
            }
        }
        if (selectedRows.length > 0) {
            // Send an AJAX request to delete the selected rows
            var xhr = new XMLHttpRequest();
            xhr.open('POST', 'delete_selected_rows.php');
            xhr.setRequestHeader('Content-Type', 'application/x-www-form-urlencoded');
            xhr.onreadystatechange = function () {
                if (xhr.readyState === XMLHttpRequest.DONE && xhr.status === 200) {
                    // Handle the response after deletion (e.g., refresh the table)
                    location.reload();
                }
            };
            xhr.send('selectedRows=' + JSON.stringify(selectedRows));
        }
    });
</script>

<script>


    // Delete selected rows when the "Delete Selected" button is clicked
    document.getElementById('approve-selected').addEventListener('click', function () {
        var checkboxes = document.getElementsByName('selectedRows[]');
        var selectedRows = [];
        for (var i = 0; i < checkboxes.length; i++) {
            if (checkboxes[i].checked) {
                selectedRows.push(checkboxes[i].value);
            }
        }
        if (selectedRows.length > 0) {
            // Send an AJAX request to delete the selected rows
            var xhr = new XMLHttpRequest();
            xhr.open('POST', 'approve_selected_rows.php');
            xhr.setRequestHeader('Content-Type', 'application/x-www-form-urlencoded');
            xhr.onreadystatechange = function () {
                if (xhr.readyState === XMLHttpRequest.DONE && xhr.status === 200) {
                    // Handle the response after deletion (e.g., refresh the table)
                    location.reload();
                }
            };
            xhr.send('selectedRows=' + JSON.stringify(selectedRows));
        }
    });
</script>

<script>


    // Delete selected rows when the "Delete Selected" button is clicked
    document.getElementById('reject-selected').addEventListener('click', function () {
        var checkboxes = document.getElementsByName('selectedRows[]');
        var selectedRows = [];
        for (var i = 0; i < checkboxes.length; i++) {
            if (checkboxes[i].checked) {
                selectedRows.push(checkboxes[i].value);
            }
        }
        if (selectedRows.length > 0) {
            // Send an AJAX request to delete the selected rows
            var xhr = new XMLHttpRequest();
            xhr.open('POST', 'reject_selected_rows.php');
            xhr.setRequestHeader('Content-Type', 'application/x-www-form-urlencoded');
            xhr.onreadystatechange = function () {
                if (xhr.readyState === XMLHttpRequest.DONE && xhr.status === 200) {
                    // Handle the response after deletion (e.g., refresh the table)
                    location.reload();
                }
            };
            xhr.send('selectedRows=' + JSON.stringify(selectedRows));
        }
    });
</script>




    <?php

}

include("./include/footer.php");

?>