<?php include './includes/config.php'; ?>

<?php
// error_reporting(E_ALL);
// ini_set('display_errors', '1');
// Step 1: Extract values from the URL
$city_slug = $_GET['city'];
$locality_slug = $_GET['location'];



// Step 2: Query to get city_id from city table
$sql_city = "SELECT id FROM city WHERE slug = ?";
$stmt_city = $conn->prepare($sql_city);
$stmt_city->bind_param("s", $city_slug);
$stmt_city->execute();
$result_city = $stmt_city->get_result();
$city = $result_city->fetch_assoc();
$city_id = $city ? $city['id'] : null;

// Step 3: If city_id exists, then query locality table
if ($city_id) {
    // Query to get locality_id using city_id
    $sql_locality = "SELECT id, location_name FROM locality WHERE slug = ? AND city_id = ?";
    $stmt_locality = $conn->prepare($sql_locality);
    $stmt_locality->bind_param("si", $locality_slug, $city_id);
    $stmt_locality->execute();
    $result_locality = $stmt_locality->get_result();
    $locality = $result_locality->fetch_assoc();
    $locality_id = $locality ? $locality['id'] : null;
    $locality_slugname = $locality ? $locality['location_name'] : null;

    // Step 4: Check if locality_id exists
    if ($locality_id) {
        // Display the page content here (You can include your HTML and PHP code for the page content)
    } else {
        // Step 5: Redirect to the 404 page
        echo '<script>window.location.href = "http://www.localhost/newproject/404";</script>';
    }
} else {
    // Step 5: Redirect to the 404 page if city_id does not exist
    echo '<script>window.location.href = "http://www.localhost/newproject/404";</script>';
}

// Close connections
$stmt_city->close();
$stmt_locality->close();
if (isset($_GET['location'])) {
    $Lslug = $_GET['location'];

    // Prepare a SQL query to retrieve locality ID based on slug
    $Lquery = "SELECT id FROM locality WHERE slug = ?";

    // Establish a database connection (assuming you have $conn defined somewhere)

    if ($stmt = mysqli_prepare($conn, $Lquery)) {
        mysqli_stmt_bind_param($stmt, "s", $Lslug);
        mysqli_stmt_execute($stmt);
        mysqli_stmt_store_result($stmt);

        // Check if any rows were returned
        if (mysqli_stmt_num_rows($stmt) > 0) {
            mysqli_stmt_bind_result($stmt, $location_id);
            mysqli_stmt_fetch($stmt);

            // $locality_id now contains the ID of the locality with the provided slug
        } else {
            ?>
             <script>
         window.location.href = "http://www.localhost/newproject/404";

     </script> 
            <?php
            // Handle the case where no locality with the given slug was found
        }

        // Close the prepared statement
        mysqli_stmt_close($stmt);
    } else {
        // Handle any database query preparation error
        echo "Query error: " . mysqli_error($conn);
    }
}


if (isset($_GET['city'])) {
    $Cslug = $_GET['city'];

    // Prepare a SQL query to retrieve city ID based on slug
    $Cquery = "SELECT id FROM city WHERE slug = ?";

    // Establish a database connection (assuming you have $conn defined somewhere)

    if ($stmt = mysqli_prepare($conn, $Cquery)) {
        mysqli_stmt_bind_param($stmt, "s", $Cslug);
        mysqli_stmt_execute($stmt);
        mysqli_stmt_store_result($stmt);

        // Check if any rows were returned
        if (mysqli_stmt_num_rows($stmt) > 0) {
            mysqli_stmt_bind_result($stmt, $city_id);
            mysqli_stmt_fetch($stmt);

            // $city_id now contains the ID of the city with the provided slug
        } else {
            // Handle the case where no city with the given slug was found
        }

        // Close the prepared statement
        mysqli_stmt_close($stmt);
    } else {
        // Handle any database query preparation error
        echo "Query error: " . mysqli_error($conn);
    }
}



$locality_data = null;
if (isset($location_id)) {
    // Query to get city data based on location_id
    $city_query = "SELECT * FROM city WHERE id = (SELECT city_id FROM locality WHERE id = $location_id)";

    // Query to get locality data based on location_id
    $locality_query = "SELECT * FROM locality WHERE id = $location_id";
} else {
    $city_query = "SELECT * FROM city WHERE id = $city_id";
}

$city_result = mysqli_query($conn, $city_query);

if (mysqli_num_rows($city_result) > 0) {
    $city_data = mysqli_fetch_assoc($city_result);
    $state_id = $city_data['state_id'];
    $state_query = "SELECT state_name FROM states WHERE id = $state_id";
    $state_result = mysqli_query($conn, $state_query);

    if (mysqli_num_rows($state_result) > 0) {
        $state_data = mysqli_fetch_assoc($state_result);
        
        // Echo the state name and city name
        // echo "State: " . $state_data['state_name'] . "<br>";
        // echo "City: " . $city_data['city_name'];

        if (isset($location_id)) {
            $locality_result = mysqli_query($conn, $locality_query);

            if (mysqli_num_rows($locality_result) > 0) {
                $locality_data = mysqli_fetch_assoc($locality_result);
                // echo "<br>Locality: " . $locality_data['location_name'];
            }
        }
    } else {
        // echo "State not found.";
    }
} else {
    // echo "City not found.";
}
?>
<?php
$meta_query = "SELECT * FROM locality WHERE id = $location_id";
$meta_result = mysqli_query($conn, $meta_query);
 if (mysqli_num_rows($meta_result) > 0) {
                $meta_data = mysqli_fetch_assoc($meta_result);
                $meta_title = $meta_data['meta_title'];
                $meta_keywords = $meta_data['meta_keywords'];
                $meta_description = substr($meta_data['meta_description'], 0, 150);
            }
$protocol = isset($_SERVER['HTTPS']) && $_SERVER['HTTPS'] === 'on' ? "https" : "http";
$host = $_SERVER['HTTP_HOST'];
$request_uri = $_SERVER['REQUEST_URI'];

// Parse the URL and exclude the query parameters
$parsed_url = parse_url($protocol . "://" . $host . $request_uri);
$current_url = $parsed_url['scheme'] . "://" . $parsed_url['host'] . $parsed_url['path'];
$cityNNN = $_GET['city'];
$newcity =  ucfirst($cityNNN);

?>
<!DOCTYPE html>
<html lang="en">
    <head>
        <meta charset="UTF-8" />
        <title><?php echo ucfirst($locality_slugname) ?> Call Girls, High Profile Model Available on Liptkal</title>
        <meta name="title" content="<?php echo ucfirst($locality_slugname) ?> Call Girls, High Profile Model Available on Liptkal">
        <meta name="description" content="Liptkal delivers the best <?php echo ucfirst($locality_slugname) ?> call girls and high-profile models on cash on delivery, whether for Incall or outcall service available 24/7.">
        <meta name="keywords" content="<?php echo $meta_keywords; ?>">
<meta name="author" content="liptkal.net ">
<meta name="robots" content="index/follow">
<meta name="copyright" content="Copyright By liptkal.net ">
<meta name="og:title" content="<?php echo ucfirst($locality_slugname) ?> Call Girls, High Profile Model Available on Liptkal">
<meta name="og:description" content="Liptkal delivers the best <?php echo ucfirst($locality_slugname) ?> call girls and high-profile models on cash on delivery, whether for Incall or outcall service available 24/7.">
<meta name="og:image" content="">
<meta name="og:type" content="website">
<meta content="yes" name="apple-mobile-web-app-capable" />
<meta name="googlebot" content="index, follow" />
<meta name="bingbot" content="index, follow" />
<meta content="yes" name="apple-touch-fullscreen" />
<meta name="google" content="notranslate" />
<meta name="rating" content="general" />
<meta property="og:locale" content="en_IN" />
<meta property="og:url" content="<?php echo $current_url; ?>" />
<meta property="og:site_name" content="liptkal.net" />
<meta property="article:tag" content="liptkal.net" />
<meta name="twitter:card" content="summary" />
<meta name="twitter:site" content="@Liptkal">
<meta name="twitter:title" content="<?php echo ucfirst($locality_slugname) ?> Call Girls, High Profile Model Available on Liptkal" />
<meta name="twitter:description" content="Liptkal delivers the best <?php echo ucfirst($locality_slugname) ?> call girls and high-profile models on cash on delivery, whether for Incall or outcall service available 24/7." />
<meta name="twitter:image" content="" />
<meta name="twitter:image:alt" content="liptkal.net">
<link rel="canonical" href="<?php echo $current_url; ?>"/>
<link rel="alternate" href="<?php echo $current_url; ?>" hreflang="en-in" />
<link rel="alternate" href="<?php echo $current_url; ?>" hreflang="hi-in" />

<?php include("./includes/header.php"); ?>
<?php include("./includes/banner.php"); ?>


<div class="p-2.5 text-white rounded-lg mb-6 container mx-auto">
    <nav class="flex items-center space-x-2">
        <!-- Home Link -->
        <a href="<?= $base_url ?>" class="text-black hover:text-blue-500 flex items-center">
            <svg xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24" stroke="currentColor" class="w-5 h-5 mr-2">
                <path stroke-linecap="round" stroke-linejoin="round" d="M3 12l2-2m0 0l7-7 7 7m-7-7v18"></path>
            </svg>
            Home
        </a>

        <!-- Chevron Separator -->
        <span class="text-red-500 mx-2">/</span>

        <!-- Current City -->
        <a class="text-blue-500 text-xl font-semibold capitalize mb-2 sm:mb-0" href='<?= $base_url.'call-girls/'.$city_slug?>'>
            <?php echo ucfirst($city_slug); ?> 
        </a>
        <span class="text-red-500 mx-2">/</span>
        <span class="text-blue-500 text-xl font-semibold capitalize mb-2 sm:mb-0">
        <?php echo ucfirst($locality_slug); ?>
        </span>
    </nav>
</div>



<h2 class="text-4xl font-extrabold text-center text-transparent bg-clip-text bg-gradient-to-r from-pink-500 to-purple-600 mb-6">
CGNight's Mood Freshening Call Girls in <span class="text-indigo-500"><?php echo ucfirst($locality_slug); ?></span>
</h1>




<div class="container px-2.5 mx-auto flex flex-col gap-y-4">
    <?php
    // Retrieve the city_id using the $Cslug
    $cityQuery = "SELECT id FROM locality WHERE slug = ?";
    $stmt_city = mysqli_prepare($conn, $cityQuery);
    mysqli_stmt_bind_param($stmt_city, "s", $locality_slug);
    mysqli_stmt_execute($stmt_city);
    $cityResult = mysqli_stmt_get_result($stmt_city);

    if ($cityResult && mysqli_num_rows($cityResult) > 0) {
        $cityRow = mysqli_fetch_assoc($cityResult);
    
        $locality_id = $cityRow['id'];
       
   
    }
    mysqli_stmt_close($stmt_city);

    // Initialize the WHERE clause for the queries
    $where_clause = "ads.locality_id = $locality_id AND ads.status = 'published'";

    // Calculate the number of results to display per page
    $resultsPerPage = 15;

    // Get the current page number from the URL
    $currentPage = isset($_GET['page']) ? $_GET['page'] : 1;

    // Calculate the offset to determine the starting point for results on the current page
    $offset = ($currentPage - 1) * $resultsPerPage;

    // Query to fetch ads based on city_id, locality_id, and other conditions
    $sql = "SELECT ads.*, city.slug AS location_name, locality.slug AS locality_slug
    FROM ads
    INNER JOIN city ON ads.city_id = city.id
    INNER JOIN locality ON ads.locality_id = locality.id
    WHERE $where_clause
    ORDER BY RAND()
    LIMIT $offset, $resultsPerPage";
$result = $conn->query($sql);

    $result = $conn->query($sql);

    if ($result->num_rows > 0) {
        while ($row = $result->fetch_assoc()) {
            // Construct the URL for the profile details page
            $profile_url = $base_url. "call-girls/" . $row['location_name'] . "/" . $row['locality_slug']."/cg-".$row['id'];

            echo '
            <div class="py-6 px-6 bg-[#D9EAFD] border border-red-500 rounded-xl shadow-lg space-y-2 sm:py-4 sm:flex sm:items-center sm:space-y-0 sm:space-x-6">
                <img onclick="window.location.href=\'' . $profile_url . '\'" class="block border border-red-500 mx-auto h-[150px] w-[150px] object-cover sm:h-[200px] sm:w-[200px] rounded-full sm:mx-0 sm:shrink-0" src="' . $base_url . 'admin/uploads/' . $row['main_image'] . '" alt="'.$row['title'].'" style="cursor: pointer;">
             
                <div class="text-center space-y-4 sm:text-left">
                    <div class="space-y-1">
                       <a href="' . $profile_url . '"> <p class="text-lg md:text-xl text-black font-semibold text-ellipsis line-clamp-2 md:line-clamp-1">' . $row['title'] . '</p></a>
                        <div class="flex items-center gap-1 text-center justify-center sm:justify-start">
                            <p class="text-slate-500">Age: ' . $row['age'] . ' | </p>
                            <span class="inline-flex items-center text-slate-500">
                                <svg xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24" stroke-width="1.5" stroke="currentColor" class="size-5">
                                    <path stroke-linecap="round" stroke-linejoin="round" d="M15 10.5a3 3 0 1 1-6 0 3 3 0 0 1 6 0Z" />
                                    <path stroke-linecap="round" stroke-linejoin="round" d="M19.5 10.5c0 7.142-7.5 11.25-7.5 11.25S4.5 17.642 4.5 10.5a7.5 7.5 0 1 1 15 0Z" />
                                </svg>
                                ' . $row['location_name'] . '
                            </span>
                        </div>
                        <p class="text-slate-500 text-ellipsis line-clamp-3 font-medium">' . $row['meta_description'] . '</p>
                    </div>
                    <div class="flex gap-2">
                        <a href="tel:' . $row['contact_number'] . '" class="bg-red-500 w-[50%] sm:w-auto text-white text-sm px-3 py-2 rounded-md flex items-center justify-center hover:bg-red-700">
                            <img width="15" height="15" src="https://img.icons8.com/ios-glyphs/15/ffffff/incoming-call--v2.png" alt="incoming-call--v2">
                            <span class="px-1">Phone</span>
                        </a>
                        <a href="https://api.whatsapp.com/send?phone=' . $row['whatsapp_number'] . '" class="bg-green-700 w-[50%] sm:w-auto text-white text-sm px-4 py-2 rounded-md flex items-center justify-center hover:bg-green-800">
                            <img width="15" height="15" src="https://img.icons8.com/ios-filled/15/ffffff/whatsapp.png" alt="whatsapp">
                            <span class="px-1">Whatsapp</span>
                        </a>
                    </div>
                    
                </div>
            </div>';
        }
    } else {
        echo "No profiles found.";
    }

    // Calculate the total number of results
    $countQuery = "SELECT COUNT(*) AS total FROM ads WHERE $where_clause";
    $countResult = mysqli_query($conn, $countQuery);

    if ($countResult) {
        $row = mysqli_fetch_assoc($countResult);
        $totalResults = $row['total'];
    } else {
        $totalResults = 0;
    }

    // Calculate the total number of pages
    $totalPages = ceil($totalResults / $resultsPerPage);
    ?>

    <div class="flex justify-center items-center mt-6 space-x-2 flex-wrap">
    <?php
    $pageRange = 5;
    $startPage = max(1, $currentPage - 2);
    $endPage = min($totalPages, $currentPage + 2);

    // Adjust start and end page to ensure we are displaying exactly 5 pages when possible
    if ($currentPage - $startPage < 2) {
        $endPage = min($totalPages, $endPage + (2 - ($currentPage - $startPage)));
    }
    if ($endPage - $currentPage < 2) {
        $startPage = max(1, $startPage - (2 - ($endPage - $currentPage)));
    }

    // Display previous button
    if ($currentPage > 1) {
        echo '<a href="?page=' . ($currentPage - 1) . '" class="bg-blue-500 hover:bg-blue-700 text-white font-bold py-2 px-4 rounded mb-2 sm:mb-0"> &laquo; Previous </a>';
    }

    // Display page numbers
    for ($i = $startPage; $i <= $endPage; $i++) {
        echo '<a href="?page=' . $i . '" class="py-2 px-4 rounded mb-2 sm:mb-0 ' . ($i == $currentPage ? 'bg-blue-700 text-white' : 'bg-gray-200 text-blue-500 hover:bg-gray-300') . '">' . $i . '</a>';
    }

    // Show ellipsis if needed
    if ($endPage < $totalPages) {
        echo '<span class="py-2 px-4 text-gray-500">...</span>';
    }

    // Display next button
    if ($currentPage < $totalPages) {
        echo '<a href="?page=' . ($currentPage + 1) . '" class="bg-blue-500 hover:bg-blue-700 text-white font-bold py-2 px-4 rounded mb-2 sm:mb-0"> Next &raquo; </a>';
    }
    ?>
    </div>

</div>



    
 
    <section>
        <div class="container mx-auto">
            <div class="widget widget-styles" style="padding: 15px; margin-bottom: 0px !important">
                <div class="row">
                    <div class="col-md-12">
                       <?php
                                    
                                    // Your SQL query to select id and city_name columns
                                    $query3 = "SELECT id, city_name FROM city where id = $city_id";
                                    
                                    // Execute the query
                                    $result3 = mysqli_query($conn, $query3);
                                    $cityName = ""; 
                                    
                                    // Check if the query was successful
                                    if ($result3) {
                                        // Fetch and display the data
                                        while ($row3 = mysqli_fetch_assoc($result3)) {
                                            $cityId = $row3['id'];
                                            $cityName = $row3['city_name'];
                                            
                                            // Output the data (you can format this as needed)
                                            // echo "City ID: $cityId, City Name: $cityName<br>";
                                        }
                                    } else {
                                        // Query was not successful, handle the error
                                        // echo "Error: " . mysqli_error($conn);
                                    }
                                    
                                    // Close the database connection
                                    
                                    ?>
                                    
                                     <?php
                                    
                                     $locSelect = "SELECT * FROM locality WHERE id = $location_id";
                                     $locResult = mysqli_query($conn, $locSelect);
                                     $locName = "";
                                      if ($locResult) {
                                        
                                        while ($row5 = mysqli_fetch_assoc($locResult)) {
                                            
                                            $locName = $row5['location_name'];
                                            
                                            
                                        }
                                    } 
                                     ?>
                                    
                                    <?php
                                     $content = "SELECT * FROM content";
                                     $result4 = mysqli_query($conn, $content);
                                    
                                    $location_content = "";
                                    
                                    if ($result4) {
                                        
                                        while ($row4 = mysqli_fetch_assoc($result4)) {
                                            
                                            $location_content = $row4['location_content'];
                                            
                                            
                                        }
                                    } 
                                    ?>
                                     
                                    
                                    
                                    <?php
                                        // Replace the first two occurrences of {city} with clickable links
                                    // $location_content = preg_replace('/{location}/', '<a href="classified_locality.php?location_id=' . $location_id . '&category=' . $category_id . '&city_id=' . $city_id . '" style="font-weight: bold; font-size: 16px;">'.$locName.'</a>', $location_content, 2);

                                        // Replace placeholders in the city content with actual values
                                        $location_content = str_replace("{location}", $locName, $location_content);
                                        $location_content = str_replace("{category}", 'call girls', $location_content);
                                        $location_content = str_replace("{city}", $newcity, $location_content);
                                        $location_content = str_replace("{currentlink}", $current_url, $location_content);
                                        ?>
                                    
                                    <p style="font-size: 16px;"> <?= $location_content; ?> </p>

                    </div>
                </div>
            </div>
        </div>
    </section>


    <div class="container mx-auto p-4 sm:p-8">
    <h2 class="text-3xl font-bold text-center mb-6"><?= ucfirst(str_replace('-',' ',$city_slug)) ?> near by locations</h2>
    
    <!-- Container for location links -->
    <div class="flex flex-wrap justify-center gap-6">
        <?php
        // Fetch all locations from the "city" table
        $sql = "SELECT locality.* 
        FROM locality 
        INNER JOIN city ON locality.city_id = city.id 
        WHERE city.slug = '$Cslug'  -- Directly insert $Cslug into the query
        ORDER BY city.city_name ASC";
        $result = $conn->query($sql);

        if ($result->num_rows > 0) {
            // Loop through each location and create a link
            while ($row = $result->fetch_assoc()) {
                $cityName = $row['location_name'];
                $citySlug = $row['slug'];
                echo "
                <a  href='" . $base_url . "call-girls/".$Cslug."/". $citySlug . "' class='flex-grow py-3 px-8  text-white rounded-lg shadow-lg hover:shadow-2xl hover:scale-105 transition-all duration-300 transform flex items-center justify-center' style='background:#ed5355'>
                    " . $cityName . "
                </a>
                ";
            }
        } else {
            echo "<p>No locations found.</p>";
        }
        ?>
    </div>
</div>
  
<?php include("./includes/footer.php") ?>
