
<footer class="bg-[#202733] text-white py-8 px-2.5 mt-2.5">
    <div class="container mx-auto flex flex-wrap justify-between items-start">
      <!-- Logo Section -->
      <div class="w-full md:w-1/3 mb-6 md:mb-0">
        <img src="<?=$base_url?>assets/img/logo.png" alt="Logo" class="h-16 w-auto">
        <p class="mt-4 text-white">Providing quality services with discretion and professionalism.</p>
      </div>
  
      <!-- Quick Links Section -->
      <div class="w-full md:w-1/3 mb-6 md:mb-0">
        <h3 class="text-xl font-bold mb-4 text-white">Quick Links</h3>
        <ul class="space-y-2">
          <li><a href="<?= $base_url ?>" class="text-white hover:underline hover:text-blue-700">Home</a></li>

          <?php if (isset($_SESSION['user_id'])) : ?>
              <!-- If user is logged in, show Logout link -->
              <li><a href="<?= $base_url.'logout' ?>" class="text-white hover:underline hover:text-blue-700">Logout</a></li>
          <?php else: ?>
              <!-- If user is not logged in, show Login link -->
              <li><a href="<?= $base_url.'login' ?>" class="text-white hover:underline hover:text-blue-700">Login</a></li>
          <?php endif; ?>

          <li><a href="<?= $base_url.'contact' ?>" class="text-white hover:underline hover:text-blue-700">Contact</a></li>
      </ul>

      </div>
  
      <!-- Privacy Policy Section -->
      <div class="w-full md:w-1/3">
        <h3 class="text-xl font-bold mb-4 text-white">Privacy Policy</h3>
        <p class="text-white">
          We are committed to protecting your privacy. All personal information provided to us will be handled with the utmost confidentiality and respect.
        </p>
      </div>
    </div>
  
    <!-- Footer Bottom -->
    <div class="mt-8 text-center text-white">
      &copy; 2025 Company Name. All Rights Reserved.
    </div>
</footer>

  
  
</body>

<script src="http://www.localhost/newproject/assets/js/script.js"></script>
</html>