<?php
header('Content-Type: application/xml');
echo "<?xml version='1.0' encoding='UTF-8'?>";
echo "<urlset xmlns='http://www.sitemaps.org/schemas/sitemap/0.9'>";

include("./includes/config.php");

// SQL query with JOIN operations
$sql = "SELECT locality.slug as locslug, city.slug as citslug, locality.city_id
        FROM locality
        JOIN city ON locality.city_id = city.id";

$result = mysqli_query($conn, $sql);
        $current_time = date('c');

// Check if the query was successful
if ($result) {
    while ($row = mysqli_fetch_assoc($result)) {
        // Access the columns
        $id = $row['id'];
        $title = $row['title'];
        $loc = $row['locslug'];
        $cit = $row['citslug'];

        // Output data in XML format
        echo "<url>";
        echo "<loc>http://www.localhost/newproject/call-girls/$cit/$loc</loc>";
        echo "<lastmod>$current_time</lastmod>";
        echo "<priority>1.0</priority>";
        echo "<changefreq>daily</changefreq>";
        echo "</url>";
    }
}

echo "</urlset>";
?>
