<?php include("./includes/header.php") ?>

<style>
    .loc-section {
        position: relative;
        z-index: 0; /* Ensure the content is on top of the overlay */
    }

    .loc-section::before {
        content: "";
        background: rgba(0, 0, 0, 0.5); /* Adjust the opacity value (0.5) to make it darker or lighter */
        position: absolute;
        top: 0;
        left: 0;
        width: 100%;
        height: 100%;
        z-index: -1; /* Place the pseudo-element behind the content */
    }

    .panel-title {
        font-size: 25px !important;
        font-weight: 600 !important;
    }

    .panel-content.panel-group .panel-heading:after {
        font-size: 25px !important;
        margin-top: -16px !important;
    }

    .panel-content.panel-group .panel-heading {
        background: none;
    }
    
    .widget-styles {
        border: 1px transparent !important;
    }
</style>

<section class="section widget-top-title container loc-section container-palette" data-parallax="scroll" data-image-src="assets/img/placeholder/post-preview.jpg" style="padding: 25px !important;">
    <div class="container">
        <div class="body" style="margin: 0px; text-align: left;">
            <span class="subtitle"><i class="fa fa-home"></i> > Locations</span>
        </div>
    </div>
</section>

<main class="">
    <section class="section container container-palette">
        <div class="">
            <div class="row">
                <div class="">
                    <div class="widget widget-styles">
                        <h2 class="widget-title content-box content t-left">
                            Locations
                        </h2>
                        <div class="content-box">
                           <div class="panel-group panel-content property_content_position" id="accordionThree">
                            <?php
                            // Fetch the list of states
                            $states_query = "SELECT * FROM states";
                            $states_result = mysqli_query($conn, $states_query);

                            while ($state = mysqli_fetch_assoc($states_result)) {
                                $state_id = $state['id'];
                                $state_name = $state['state_name'];
                               
                                echo '<div class="panel panel-default">';
                                echo '<a data-toggle="collapse" data-parent="#accordionThree" href="#collapse' . $state_id . '" aria-expanded="false" class="panel-heading">';
                                echo '<h2 class="panel-title" style="text-decoration: none;">' . $state_name . '</h2>';
                                echo '</a>';

                                $cities_query = "SELECT city_name, id AS cityid FROM city WHERE state_id = $state_id";
                                $cities_result = mysqli_query($conn, $cities_query);

                                echo '<div id="collapse' . $state_id . '" class="panel-collapse collapse in" aria-expanded="false" role="definition">';
                                echo '<div class="panel-body">';
                                while ($city = mysqli_fetch_assoc($cities_result)) {
                                    echo '<div class="col-md-3 locations-list">';
                                    echo '<a href="./classified.php?city_id=' . $city['cityid'] . '">' . $city['city_name'] . '</a>';
                                    echo '</div>';
                                }
                                echo '</div>';
                                echo '</div>';
                                
                            }
                            ?>
                           </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </section> <!-- /.section-category -->
</main>

<?php
mysqli_close($conn);
include("./includes/footer.php");
?>