<?php
// Start the session to access session variables
session_start();

// Check if the user is logged in (you can use any session variable that indicates login status)
if (isset($_SESSION['user_id'])) {
    // Unset all session variables
    session_unset();

    // Destroy the session
    session_destroy();

    // Redirect to the login page or any other page after logout
    header("Location: login.php"); // Change "login.php" to the appropriate login page URL
    exit();
} else {
    // If the user is not logged in, you can handle it accordingly, e.g., redirect to the login page
    header("Location: login.php"); // Redirect to the login page if not logged in
    exit();
}
?>
