<?php
$meta_title = "Privacy Policy - liptkal.net";
$meta_description = "";
$meta_keywords = "";
?>
<!DOCTYPE html>
<html lang="en">
    <head>
        <meta charset="UTF-8" />
        <title><?php echo $meta_title; ?></title>
        <meta name="title" content="<?php echo $meta_title; ?>">
        <meta name="description" content="<?php echo $meta_description; ?>">
        <meta name="keywords" content="<?php echo $meta_keywords; ?>">

       <?php include("./includes/header.php") ?>
<main class="main container container-palette"> 
                     <section class="section widget-top-title container container-palette" data-parallax="scroll" data-image-src="assets/img/placeholder/post-preview.jpg" style="padding: 25px !important;">
            <div class="container">
                <div class="body" style="margin: 0px; text-align: left;">
                    <span class="subtitle"><i class="fa fa-home"></i> > Privacy Policy</span>
                </div>
            </div>
        </section>
                        <br>

                <div class="container"> 


    <div class="row">
        <div class="col-md-12">
                    <h1 class="text-center"><b>Privacy Policy</b></h1><br>
                    <p><strong>Privacy Policy for liptkal.net</strong></p>

<p>Last Updated: 23-09-2023</p>

<p>At liptkal.net, we take your privacy seriously. This Privacy Policy outlines our practices regarding the collection, use, and disclosure of your personal information when you visit our website, use our services, or interact with us in any way. By accessing or using liptkal.net, you agree to the terms outlined in this policy.</p>

<h3>Information We Collect</h3>


<p>We may collect personal information that you provide to us directly, including but not limited to:</p>

<ul>
	<li><strong>Contact Information:</strong> such as your name, email address, phone number, and postal address.</li>
	<li><strong>Account Information:</strong> if you create an account with us, we may collect your username, password, and other account-related details.</li>
	<li><strong>Payment Information:</strong> if you make a purchase on our website, we may collect payment details, including credit card information.</li>
	<li><strong>User Content:</strong> any content you submit, post, or share on our platform, including comments, reviews, or other user-generated content.</li>
	<li><strong>Communication Information:</strong> records of your correspondence with us, including emails, chat messages, and customer support interactions.</li>
	<li><strong>Demographic Information:</strong> such as your age, gender, and location (optional).</li>
</ul>

<h3>Usage Information</h3>

<p>We automatically collect certain information about your usage of our website and services, which may include:</p>

<ul>
	<li><strong>Log Data:</strong> information about your device and its interaction with our services, such as IP address, browser type, operating system, and referring URL.</li>
	<li><strong>Analytics:</strong> data related to your activity on our website, such as pages viewed, search queries, and time spent on the site.</li>
	<li><strong>Cookies and Similar Technologies:</strong> We may use cookies, web beacons, and other tracking technologies to collect information about your browsing behavior.</li>
</ul>

<h3>How We Use Your Information</h3>

<p>We use the collected information for various purposes, including but not limited to:</p>

<ul>
	<li>Providing and improving our services.</li>
	<li>Processing transactions and fulfilling orders.</li>
	<li>Personalizing your experience on our website.</li>
	<li>Communicating with you, including responding to inquiries and providing customer support.</li>
	<li>Sending promotional and marketing materials if you have opted in to receive them.</li>
	<li>Analyzing and understanding usage patterns to enhance our website and services.</li>
	<li>Complying with legal obligations and protecting our rights.</li>
</ul>

<h3>Information Sharing and Disclosure</h3>

<p>We may share your personal information in the following circumstances:</p>

<ul>
	<li>With trusted third-party service providers who assist us in delivering our services.</li>
	<li>To comply with legal obligations, such as responding to legal requests or protecting against fraud.</li>
	<li>In connection with the sale, merger, or acquisition of all or part of our company.</li>
	<li>With your consent or as otherwise disclosed at the time of data collection.</li>
</ul>

<h3>Your Choices</h3>

<p>You have the right to:</p>

<ul>
	<li>Access, update, or delete your personal information.</li>
	<li>Opt out of receiving promotional communications.</li>
	<li>Disable cookies in your web browser.</li>
	<li>Review and update your privacy settings on our website.</li>
</ul>

<h3>Security</h3>

<p>We employ reasonable security measures to protect your personal information, but no method of transmission over the internet is completely secure. We cannot guarantee the absolute security of your data.</p>

<h3>Children&#39;s Privacy</h3>

<p>Our services are not intended for individuals under the age of 18. If you are a parent or guardian and believe that your child has provided us with personal information, please contact us, and we will take steps to remove such information.</p>

<h3>Changes to this Privacy Policy</h3>

<p>We may update this Privacy Policy from time to time to reflect changes in our practices or for other operational, legal, or regulatory reasons. We will post the updated policy on our website with a revised &quot;Last Updated&quot; date.</p>

<h3>Contact Us</h3>

<p>If you have any questions, concerns, or requests regarding this Privacy Policy or the way we handle your personal information, please contact us at contact@liptkal.net.</p>

<p>By using liptkal.net, you consent to the practices described in this Privacy Policy. Please review this policy periodically for any updates or changes.</p>

        </div>
       
        
        
    </div>

    </div>
       </main>
               <?php include("./includes/footer.php") ?>
