<?php
include("./include/config.php");


if (!isset($_SESSION['a_user'])) {
    header("Location: index.php");
    exit;
} else {
    include("./include/sidebar.php");

    $edit_id = isset($_GET['edit_id']) ? $_GET['edit_id'] : 0;
    $edit_mode = false;
    $existing_data = array();

    if ($edit_id) {
        $edit_query = "SELECT * FROM category WHERE id = $edit_id";
        $edit_result = mysqli_query($conn, $edit_query);

        if (mysqli_num_rows($edit_result) == 1) {
            $edit_mode = true;
            $existing_data = mysqli_fetch_assoc($edit_result);
        } else {
            echo "Invalid edit ID.";
            exit;
        }
    }

    if (isset($_POST['update_cate_btn'])) {
        $category_name = $_POST['category_name'];
        function generateSlug($input) {
            // Convert the input to lowercase
            $slug = strtolower($input);
        
            // Replace spaces with hyphens
            $slug = str_replace(' ', '-', $slug);
        
            // Remove any special characters or non-alphanumeric characters
            $slug = preg_replace('/[^a-z0-9-]/', '', $slug);
        
            return $slug;
        }
        
       
        $slug = generateSlug($category_name);
       

        $path = "banners/";
                            $banner = $_FILES['banner']['name'];
                            $banner_temp = $_FILES['banner']['tmp_name'];
                            $banner_ext = pathinfo($banner, PATHINFO_EXTENSION);
                            
                            if (!empty($_FILES['banner']['name'])) {
                                // New banner image has been selected
                                $banner_filename = time() . '.' . $banner_ext;
                                $banner_path = $path . $banner_filename;
                            
                                move_uploaded_file($banner_temp, $banner_path);
                            
                                if ($edit_mode) {
                                    // Delete old banner image associated with the ad
                                    unlink($path . $existing_data['category_banner']);
                                }
                            } else {
                                // No new banner image selected, keep the old one
                                $banner_filename = $edit_mode ? $existing_data['category_banner'] : ''; // Use the existing banner if editing, or an empty string if creating a new entry
                            }

        if ($edit_mode) {
           $update_query = "UPDATE category SET
            category_name = '$category_name',
            category_banner = '$banner_filename',
            slug = '$slug'
            WHERE id = $edit_id";

            $query_run = mysqli_query($conn, $update_query);

            if ($query_run) {
                echo '<script>';
                echo 'alert("Category updated successfully");';
                echo 'window.location.href = "view_category.php";';
                echo '</script>';
            } else {
                echo "Something went wrong: " . mysqli_error($conn);
            }
        }
        
    }
?>
<div class="col-lg-12 col-xs-12">
    <div class="box-content card white">
        <h4 class="box-title">Edit Category</h4>
        <div class="card-content">
            <form action="" method="POST" enctype="multipart/form-data">
            <div class="form-group col-lg-6">
                    <label for="categorySelect">Category Name</label>
                    <input class="form-control" name="category_name" value="<?= $existing_data['category_name']; ?>" type="text">
                  
            </div>

                <div class="form-group col-lg-6">
                   <label for="mainImageInput">Category Banner</label>
                   <input type="hidden" name="old_banner" id="mainImageInput" value="<?= $existing_data['category_banner'];  ?>" accept="image/*" style="margin-top: 8px;">
                    <input type="file" name="banner" id="mainImageInput" accept="image/*" style="margin-top: 8px;">
                                <?php if ($edit_mode && !empty($existing_data['category_banner'])): ?>
                                    <p>Current Main Image:</p>
                                    <img src="banners/<?php echo $existing_data['category_banner']; ?>" style="width: 10em; height: 9em;" alt="Current Main Image">
                                <?php endif; ?>
                </div>
                <button type="submit" name="update_cate_btn" class="btn btn-primary btn-sm waves-effect waves-light" style="margin-top: 15px;">Update</button>
            </form>
        </div>
    </div>
</div>
    <?php

}

include("./include/footer.php");

?>
