<?php
include("./include/config.php");

if ($_SERVER['REQUEST_METHOD'] === 'POST') {
    // Check if the selectedRows parameter is present in the POST request
    if (isset($_POST['selectedRows'])) {
        // Get the selected rows from the POST data
        $selectedRows = json_decode($_POST['selectedRows']);

        // Convert the selected rows into a comma-separated string for the SQL query
        $selectedRowsString = implode(',', $selectedRows);

        // Prepare the SQL query to delete the selected rows
        $sql = "DELETE FROM ads WHERE id IN ($selectedRowsString)";

        // Execute the SQL query
        if (mysqli_query($conn, $sql)) {
            // Deletion successful
                header("Location: view_ads.php?status=success");

        } else {
            // Error occurred during deletion
            echo "Error deleting rows: " . mysqli_error($conn);
        }
    } else {
        // No selected rows found
        echo "No rows selected for deletion";
    }
} else {
    // Invalid request method
    echo "Invalid request";
}

// Close the database connection
mysqli_close($conn);
?>
