<?php
session_start();
error_reporting(E_ALL);
ini_set('display_errors', 1);
// Include your database connection code (config.php)
include("./includes/config.php");

// Initialize error and success messages
$error_message = $success_message = "";

// Registration handling
if ($_SERVER['REQUEST_METHOD'] === 'POST' && isset($_POST['update_password'])) {
    $newPassword = $_POST['new_password'];
    $user_id = $_SESSION['user_id'];

    // Update password in the database
    $updatePass = "UPDATE users
                    SET password = '$newPassword'
                    WHERE id = '$user_id'";

    if (mysqli_query($conn, $updatePass)) {
        // Registration successful
        $success_message = "Your Password has been changed successfully!";
    } else {
        // Registration failed
        $error_message = "Password Changed request failed. Please try again later.";
    }
}

// Close the database connection
mysqli_close($conn);
?>

<style>
    .secbg {
        position: relative;
        z-index: 0;
    }

    .secbg::before {
        content: "";
        background: rgba(0, 0, 0, 0.75);
        position: absolute;
        top: 0;
        left: 0;
        width: 100%;
        height: 100%;
        z-index: -1;
    }
</style>

<?php include("./includes/header.php") ?>


<div class="bg-gradient-to-r from-teal-400 to-blue-500 p-2.5 text-white rounded-lg shadow-xl my-6 container mx-auto">
    <nav class="flex items-center space-x-2 flex-wrap">
        <!-- Home Icon with Chevron Separator -->
        <a href="<?= $base_url ?>" class="flex items-center text-white hover:text-yellow-400 mb-2 sm:mb-0">
            <svg xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24" stroke="currentColor" class="w-5 h-5 mr-2">
                <path stroke-linecap="round" stroke-linejoin="round" d="M3 12l2-2m0 0l7-7 7 7m-7-7v18"></path>
            </svg>
            Home
        </a>
        <!-- Chevron Separator -->
        <span class="text-white text-xl mb-2 sm:mb-0"> 
            <svg xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24" stroke="currentColor" class="w-4 h-4">
                <path stroke-linecap="round" stroke-linejoin="round" d="M9 5l7 7-7 7"></path>
            </svg>
        </span>

        <!-- Current City (Cslug) -->
        <span class="text-yellow-300 text-xl font-semibold capitalize mb-2 sm:mb-0">
            Change Password
        </span>
    </nav>
</div>

<main class="container mx-auto p-4 h-auto sm:h-[400px]">


    <section class="section py-8">
        <div class="container">
            <div class="row">
                <div class="col-sm-12">
                    <div class="widget widget-styles" id="form2">
                        <div class="header content text-left">
                            <h2 class="text-2xl font-semibold text-gray-800">Change Password</h2>
                        </div>

                        <!-- Error or Success Message -->
                        <?php if (!empty($error_message)) : ?>
                            <div class="alert alert-danger text-red-600 bg-red-100 p-4 rounded-md">
                                <?php echo $error_message; ?>
                            </div>
                        <?php endif; ?>

                        <?php if (!empty($success_message)) : ?>
                            <div class="alert alert-success text-green-600 bg-green-100 p-4 rounded-md">
                                <?php echo $success_message; ?>
                            </div>
                        <?php endif; ?>

                        <form action="" method="post" class="local-form content-box mt-6">
                            <div class="form-group mb-4">
                                <label for="new_password" class="control-label text-sm font-medium text-gray-700">New Password</label>
                                <div class="controls">
                                    <input type="text" name="new_password" class="form-control w-full mt-1 px-4 py-2 border border-gray-300 rounded-md focus:outline-none focus:ring-2 focus:ring-indigo-500" id="new_password" placeholder="New Password" required />
                                </div>
                            </div>

                            <div class="form-group">
                                <div class="controls">
                                    <button type="submit" name="update_password" class="btn btn-danger w-full py-2 px-4 bg-red-500 text-white font-semibold rounded-md hover:bg-red-600 focus:outline-none focus:ring-2 focus:ring-red-500">Change Password</button>
                                </div>
                            </div>
                        </form>
                    </div>
                </div>
            </div>
        </div>
    </section>
</main>

<?php include("./includes/footer.php") ?>
