<?php include './includes/config.php'; ?>
<?php
// Check if city_id is provided in the GET request
if (isset($_GET['city_id'])) {
    $city_id = $_GET['city_id'];
   

    // Prepare the SQL query
    $query = "SELECT meta_title, meta_keywords, meta_description FROM city WHERE id = $city_id";

    // Execute the query
    $result = mysqli_query($conn, $query);

    if ($result) {
        // Check if any rows were returned
        if (mysqli_num_rows($result) > 0) {
            // Fetch the data
            $row = mysqli_fetch_assoc($result);

            // Extract the values
            $meta_title = $row['meta_title'];
            $meta_keywords = $row['meta_keywords'];
            $meta_description = $row['meta_description'];

         
        } else {
            echo "No data found for city with ID $city_id";
        }
    } else {
        echo "Query error: " . mysqli_error($conn);
    }
}
    ?>
    
<!DOCTYPE html>
<html lang="en">
    <head>
        <meta charset="UTF-8" />
        <title><?php echo $meta_title; ?></title>
        <meta name="title" content="<?php echo $meta_title; ?>">
        <meta name="description" content="<?php echo $meta_description; ?>">
        <meta name="keywords" content="<?php echo $meta_keywords; ?>">


<?php include("./includes/header.php"); ?>

<?php
// error_reporting(E_ALL);
// ini_set('display_errors', '1');

// $cate_id = isset($_GET['category']) ? $_GET['category'] : $_GET['cate_id'];
// $city_id = isset($_GET['city']) ? $_GET['city'] : $_GET['city_id'];
$city_id = isset($_GET['city']) ? $_GET['city'] : (isset($_GET['city_id']) ? $_GET['city_id'] : '');
echo $_GET['city'];
die();



$location_id = isset($_GET['location_id']) ? $_GET['location_id'] : null;
//  $location_id = isset($_GET['location_id']) ? $_GET['location_id'] : '';

$locality_data = null;
if (isset($location_id)) {
    // Query to get city data based on location_id
    $city_query = "SELECT * FROM city WHERE id = (SELECT city_id FROM locality WHERE id = $location_id)";

    // Query to get locality data based on location_id
    $locality_query = "SELECT * FROM locality WHERE id = $location_id";
} else {
    $city_query = "SELECT * FROM city WHERE id = $city_id";
}

    $city_result = mysqli_query($conn, $city_query);

if (mysqli_num_rows($city_result) > 0) {
    $city_data = mysqli_fetch_assoc($city_result);
    $state_id = $city_data['state_id'];
    $state_query = "SELECT state_name FROM states WHERE id = $state_id";
    $state_result = mysqli_query($conn, $state_query);

    if (mysqli_num_rows($state_result) > 0) {
        $state_data = mysqli_fetch_assoc($state_result);
        
        // Echo the state name and city name
        // echo "State: " . $state_data['state_name'] . "<br>";
        // echo "City: " . $city_data['city_name'];

        if (isset($location_id)) {
            $locality_result = mysqli_query($conn, $locality_query);

            if (mysqli_num_rows($locality_result) > 0) {
                $locality_data = mysqli_fetch_assoc($locality_result);
                // echo "<br>Locality: " . $locality_data['location_name'];
            }
        }
    } else {
        // echo "State not found.";
    }
} else {
    // echo "City not found.";
}
?>

<style>
    .thumbnail {
        position: relative !important;
    }

    .featured-tag {
        background-color: #26A69A;
        color: white;
        padding: 5px 10px;
        border-radius: 5px;
        width: 8em;
        margin-top: -2px;
        float: left;
        padding-left: 14px;
        font-weight: bold;
    }

    @media screen and (max-width: 540px) {
        .featured-tag {
            display: block;
            position: absolute;
            top: 5px;
            z-index: 2;
        }
    }
</style>

<div class="container container-palette bg-default">
    <section class="section widget-top-title container container-palette" data-parallax="scroll" data-image-src="./assets/img/placeholder/post-preview.jpg" style="background: url('./assets/img/placeholder/post-preview.jpg'); padding: 25px !important;">
        <div class="container">
            <div class="body" style="margin: 0px; text-align: left;">
                <span class="subtitle"><a href="./index.php" style="color: white"><i class="fa fa-home"></i></a>
                    > <?php echo isset($state_data['state_name']) ? $state_data['state_name'] : ''; ?>
                    > <?php echo isset($city_data['city_name']) ? $city_data['city_name'] : ''; ?>
                    > <?php echo isset($locality_data['location_name']) ? $locality_data['location_name'] : ''; ?>
                </span>
            </div>
        </div>
    </section>
    <br>
    <div class="container">
        <div class=" row">
            <?php
            $titlequery = "SELECT title_name FROM title";
            $titlequeryrun = mysqli_query($conn, $titlequery);
            if ($titlequery) {
                             while ($rowcat1 = mysqli_fetch_assoc($titlequeryrun)) {
                                   $title_name = $rowcat1['title_name'];
                              }
                            } 
                            
                            $category_id = isset($_GET['category']) ? $_GET['category'] : '';
                        
                            // Get the location ID and check if it's empty
                        
                            // $state1_id = isset($_GET['state']) ? $_GET['category'] : '';
                        
                            $cat_query = "SELECT * FROM category WHERE id = $category_id";
                            $result_cat = mysqli_query($conn, $cat_query);
                        
                            if ($cat_query) {
                                while ($rowcat = mysqli_fetch_assoc($result_cat)) {
                                    $category_name = $rowcat['category_name'];
                        
                                }
                            }
            ?>
            <div class="extra" style="padding: 15px">
                <h1> <b style="font-size: 25px;"><?php echo $city_data['city_name'] ?> <?= $category_name; ?> <?= $title_name;  ?></b></h1>
                <p>
                    <?php
                    date_default_timezone_set('Asia/Kolkata');
                    $currentDateTime = date('d-M-Y H:i:s');
                    echo "Last Updated on: " . $currentDateTime;
                    ?>
                </p>
            </div>

            <br>
            <div class="col-md-9 swap-bottom left-side">
                <div class="widget widget-recentproperties">
                    <div class="row result-container row-flex">
                        <div class="col-xs-12">
                <?php
// Initialize the WHERE clause for the queries
$where_clause = "ads.city_id = $city_id AND ads.status = 'published'";

// Check if the category ID is not empty
if (!empty($category_id)) {
    // Append the category filter to the WHERE clause
    $where_clause .= " AND ads.category_id = $category_id";
}

// Check if the location ID is not empty
if (isset($location_id)) {
    // Append the location filter to the WHERE clause
    $where_clause .= " AND ads.location_id = $location_id";
}

// Calculate the number of results to display per page
$resultsPerPage = 15;

// Get the current page number from the URL
$currentPage = isset($_GET['page']) ? $_GET['page'] : 1;

// Calculate the offset to determine the starting point for results on the current page
$offset = ($currentPage - 1) * $resultsPerPage;

// Query for featured, sticky, and non-featured ads
$query = "SELECT
            ads.id AS adit,
            ads.locality_id AS locality_id,
            ads.title AS ad_title,
            ads.contact_number AS phone,
            ads.whatsapp_number AS whatsapp,
            ads.main_image AS image,
            LEFT(ads.meta_description, 200) AS description,
            ads.age,
            ads.is_featured,
            ads.is_sticky,
            ads.gender,
            city.city_name AS city,
            states.state_name AS state
        FROM ads
        INNER JOIN city ON ads.city_id = city.id
        INNER JOIN states ON ads.state_id = states.id
        WHERE $where_clause
        ORDER BY ads.is_featured DESC, ads.is_sticky DESC, ads.date DESC
        LIMIT $resultsPerPage OFFSET $offset";

$result = mysqli_query($conn, $query);

if ($result) {
    while ($row = mysqli_fetch_assoc($result)) {
        $locatity = $row['locality_id'];
        $extraqe = "SELECT slug from locality where id = $locatity";
        $exgff = mysqli_query($conn, $extraqe);
        while ($rowdd = mysqli_fetch_assoc($exgff)) {
            echo '<div class="thumbnail thumbnail-property thumbnail-property-list nohover">';
            if ($row['is_featured']) {
                echo '<div class="featured-tag">Featured AD</div>';
            } elseif ($row['is_sticky']) {
                // echo '<div class="sticky-tag">Sticky AD</div>';
            }
            echo '<div class="thumbnail-image">';
            echo '<a href="http://www.localhost/newproject/' . $Categoryslug . '/' . $Cslug . '/' . $rowdd['slug'] . '/call-girls-' . $row['adit'] . '"><img src="http://www.localhost/newproject/admin/uploads/' . $row['image'] . '" alt="' . $row['ad_title'] . '"></a>';
            echo '</div>';
            echo '<div class="caption">';
            echo '<div class="header">';
            echo '<div class="contentarea">';
            echo '<h2 class="thumbnail-title"><a href="http://www.localhost/newproject/' . $Categoryslug . '/' . $Cslug . '/' . $rowdd['slug'] . '/call-girls-' . $row['adit'] . '" style="color: #26A69A;">' . $row['ad_title'] . '</a></h2>';
            echo '<div class="options">';
            echo '<span class="type">' . $row['age'] . ' Years | ' . $row['gender'] . ' | ' . $row['city'] . '</span>';
            echo '</div>';
            echo '</div>';
            echo '</div>';
            echo '<ul class="list-comment">';
            echo '<li>';
            echo '<p>' . $row['description'] . '...</p>';
            echo '</li>';
            echo '<div class="social list-comment" style="display:flex">';
            echo '<a href="tel:' . $row['phone'] . '" target="_blank"><p class="phone"><i class="fa fa-phone"></i></p></a>';
            echo '<a href="https://api.whatsapp.com/send?phone=' . $row['whatsapp'] . '&text=Hi, I want a service in ' .  $city_data['city_name'] . ', found you on liptkal.net" target="_blank"><p class="whatsapp"><i class="fa fa-whatsapp"></i></p></a>';
            echo '</div>';
            echo '</ul>';
            echo '</div>';
            echo '</div>';
        }
    }
} else {
    echo "Something Went Wrong!";
}

// Calculate the total number of results
// Query to count the total number of results based on your criteria
$countQuery = "SELECT COUNT(*) AS total FROM ads WHERE $where_clause";

// Execute the count query
$countResult = mysqli_query($conn, $countQuery);

if ($countResult) {
    $row = mysqli_fetch_assoc($countResult);
    $totalResults = $row['total'];
} else {
    // Handle the error if the count query fails
    $totalResults = 0; // Set a default value or handle the error accordingly
}

// Calculate the total number of pages
$totalPages = ceil($totalResults / $resultsPerPage);

// Add navigation buttons
echo '<div class="pagination">';
if ($currentPage > 1) {
    echo '<a href="?page=' . ($currentPage - 1) . '" class="btn btn-primary"><< Previous</a>';
}
if ($currentPage < $totalPages) {
    echo '<a href="?page=' . ($currentPage + 1) . '" class="btn btn-primary">Next >></a>';
}
echo '</div>';
?>
                        </div>

                    </div>
                </div>
            </div>
            <div class="col-md-3 swap-top right-side ">
                <div class="widget widget-styles widget-right-map">
                    <div class="body sidebar" style="padding: 0px">
                        <div class="header-sidebar">
                            <h3>Browse More</h3>
                        </div>
                        <div class="header-content-body">
                            <ul class="list-contact">
                                <?php
                                $query1 = "SELECT location_name, id FROM locality WHERE city_id = $city_id LIMIT 10";
                                $result1 = mysqli_query($conn, $query1);

                                if ($result1) {
                                    if (mysqli_num_rows($result1) > 0) {
                                        while ($row1 = mysqli_fetch_assoc($result1)) {
                                        echo '<li class="icon address"><a style="color: black" href="./classified_locality.php?location_id=' . $row1['id'] . '&category=' . $category_id . '&city_id=' . $city_id . '">' . $row1['location_name'] . ' ' . $category_name . '</a></li>';

                                        }
                                    } else {
                                        $query2 = "SELECT city_name, id FROM city WHERE state_id = $state_id LIMIT 10";
                                        $result2 = mysqli_query($conn, $query2);

                                        if ($result2) {
                                            while ($row2 = mysqli_fetch_assoc($result2)) {
                                                echo '<li class="icon address"><a style="color: black" href="./classified1.php?city_id=' . $row2['id'] . '&category=' . $category_id . '">' . $row2['city_name'] . ' ' . $category_name . '</a></li>';
                                            }
                                        } else {
                                            // echo "Error in query2: " . mysqli_error($conn);
                                            echo "Something Went Wrong!";
                                        }
                                    }
                                } else {
                                    // echo "Error in query1: " . mysqli_error($conn);
                                    echo "Something Went Wrong!";
                                }
                                ?>
                            </ul>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <section>
        <div class="container">
            <div class="widget widget-styles" style="padding: 15px; margin-bottom: 0px !important">
                <div class="row">
                    <div class="col-md-12">
                         <?php
                                    
                                    // Your SQL query to select id and city_name columns
                                    $query3 = "SELECT id, city_name FROM city where id = $city_id";
                                    
                                    // Execute the query
                                    $result3 = mysqli_query($conn, $query3);
                                    $cityName = ""; 
                                    
                                    // Check if the query was successful
                                    if ($result3) {
                                        // Fetch and display the data
                                        while ($row3 = mysqli_fetch_assoc($result3)) {
                                            $cityId = $row3['id'];
                                            $cityName = $row3['city_name'];
                                            
                                            // Output the data (you can format this as needed)
                                            // echo "City ID: $cityId, City Name: $cityName<br>";
                                        }
                                    } else {
                                        // Query was not successful, handle the error
                                        // echo "Error: " . mysqli_error($conn);
                                    }
                                    
                                    // Close the database connection
                                    
                                    ?>
                                    
                                    <?php
                                     $content = "SELECT * FROM content";
                                     $result4 = mysqli_query($conn, $content);
                                    
                                    $city_content = "";
                                    
                                    if ($result4) {
                                        
                                        while ($row4 = mysqli_fetch_assoc($result4)) {
                                            
                                            $city_content = $row4['city_content'];
                                            
                                            
                                        }
                                    } 
                                    ?>
                                    
                                    <?php
                                        // Replace the first two occurrences of {city} with clickable links
                                        // $city_content = preg_replace('/{city}/', '<a href="classified1.php?city_id=' . $cityId . '&category=' . $category_id . '" style="font-weight: bold; font-size: 16px;">'.$cityName.'</a>', $city_content, 2);
                                        // Replace placeholders in the city content with actual values
                                        $city_content = str_replace("{city}", $cityName, $city_content);
                                        $city_content = str_replace("{category}", $category_name, $city_content);
                                        ?>
                                    
                                    <p style="font-size: 16px;"> <?= $city_content; ?> </p>

                    </div>
                </div>
            </div>
        </div>
    </section>
    <br>
    <section class="section container container-palette" style="margin-top: -5em;">
                <div class="container">
                    <div class="row">
                        <div class="col-sm-12">
                            <div class="widget widget-styles">
                                <h2 class="widget-title content-box content t-left">
                                    FAQ
                                </h2>
                                
                                <div class="content-box"> 
                                    <div class="panel-group panel-content property_content_position" id="accordionThree">
                                        <div class="panel panel-default">
                                            <a data-toggle="collapse" data-parent="#accordionThree" href="#collapse30" aria-expanded="false" class="panel-heading">
                                                <h4 class="panel-title">
                                                    Can We Bring Call Girls to Hotel in <?=  $cityName;  ?>?                                       
                                                </h4>
                                            </a>
                                            <div id="collapse30" class="panel-collapse collapse in" aria-expanded="false" role="definition">
                                                <div class="panel-body">
                                                    <p>
                                                        Yes! <?=  $cityName;  ?> is a beautiful city and one that has even its air laden with love. To clear your doubts, simply reach out to our team of dedicated staff, and we will point you in the direction of hotels that are warm and luxurious.                                                    </p>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="panel panel-default">
                                            <a data-toggle="collapse" data-parent="#accordionThree" href="#collapse31" class="panel-heading collapsed" aria-expanded="false">
                                                <h4 class="panel-title">
                                                    Can I choose the companion of my preference?
                                                </h4>
                                            </a>
                                            <div id="collapse31" class="panel-collapse collapse" aria-expanded="false" role="definition">
                                                <div class="panel-body">
                                                    <p>
                                                        Most definitely you can. There are no compulsions for the independent call girl to be picked on our website. We believe you have a choice, and we have provided a platform that helps you to make use of this freedom.
                                                    </p>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="panel panel-default">
                                            <a data-toggle="collapse" data-parent="#accordionThree" href="#collapse32" class="panel-heading collapsed" aria-expanded="false">
                                                <h4 class="panel-title">
                                                    Are the liptkal Call Girls available for outcalls?
                                                </h4>
                                            </a>
                                            <div id="collapse32" class="panel-collapse collapse" aria-expanded="false" role="definition">
                                                <div class="panel-body">
                                                    <p>
                                                         Yes! liptkal call girls are available for outcalls. Even beyond just outcalls within the city, we have girls who are available to accompany you on trips, business meetings, and parties.
                                                    </p>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="panel panel-default">
                                            <a data-toggle="collapse" data-parent="#accordionThree" href="#collapse34" class="panel-heading collapsed" aria-expanded="false">
                                                <h4 class="panel-title">
                                                    IS THE PHOTO OF THE <?=  $cityName;  ?> CALL GIRL GENUINE?
                                                </h4>
                                            </a>
                                            <div id="collapse34" class="panel-collapse collapse" aria-expanded="false" role="definition">
                                                <div class="panel-body">
                                                    <p>
                                                        As we offer cheap call girl service in <?=  $cityName;  ?>, we do well to make sure that all our girls are properly vetted and their photos genuine, so you have nothing to worry about. Just sit back and relax.
                                                    </p>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="panel panel-default">
                                            <a data-toggle="collapse" data-parent="#accordionThree" href="#collapse35" class="panel-heading collapsed" aria-expanded="false">
                                                <h4 class="panel-title">
                                                    WHAT BENEFITS OF CHOOSING CALL GIRLS AT liptkal.net
                                                </h4>
                                            </a>
                                            <div id="collapse35" class="panel-collapse collapse" aria-expanded="false" role="definition">
                                                <div class="panel-body">
                                                    <p>
                                                        We guarantee you maximum enjoyment when you choose liptkal.net. Also, your identity is safe with us. Only the girl and you will know you used our service. We also guarantee you your value for your money due to our pocket-friendly rates for premium service and many more.                                                 </p>
                                                </div>
                                            </div>
                                        </div>
<!--                                        <div class="panel panel-default">-->
<!--                                            <a data-toggle="collapse" data-parent="#accordionThree" href="#collapse36" class="panel-heading collapsed" aria-expanded="false">-->
<!--                                                <h4 class="panel-title">-->
<!--                                                   How much does an call girl cost in India?-->
<!--                                                </h4>-->
<!--                                            </a>-->
<!--                                            <div id="collapse36" class="panel-collapse collapse" aria-expanded="false" role="definition">-->
<!--                                                <div class="panel-body">-->
<!--                                                    <p>-->
<!--An call girl always charges the lowest amount but if you go with the range of premium call girls then here is the top-class call girl in India.                                                    </p>-->
<!--                                                </div>-->
<!--                                            </div>-->
<!--                                        </div>-->
                                    </div>
                                </div>
                            </div>
                        </div>
                    
                    </div>
                </div>
            </section> <!-- /.section-category -->
    <br>
    <style>
        .customdivbox {
            border-radius: 8px;
            color: #26A69A;
            background: transparent;
            border: 1px solid #26A69A;
            padding: 10px;
            text-transform: capitalize;
            text-decoration: none;
            letter-spacing: 0.6px;
            font-size: 16px;
            transition: all 1s;
            text-align: center;
        }

        .customdivbox a {
            color: #26A69A;
            text-decoration: none;
            text-transform: capitalize;
            font-weight: bold;
        }

        .myrow .col-md-3 {
            padding: 10px;
        }
    </style>
    <div class="container">
        <div class="row myrow">
            <div class="col-md-12 text-center">
                <h3><b>India's Top Locations</b></h3>
            </div>
            <?php
            $sql = "SELECT itl.city_id, c.city_name
                    FROM india_top_location itl
                    INNER JOIN city c ON itl.city_id = c.id";

            $result = $conn->query($sql);

            if ($result->num_rows > 0) {
                while ($row = $result->fetch_assoc()) {
                    $cityId = $row['city_id'];
                    $cityName = $row['city_name'];

                    echo "<div class='col-md-3'>
                            <div class='customdivbox'>
                                <a href='classified1.php?city_id=$cityId&category=$category_id'>$cityName</a>
                            </div>
                        </div>";
                }
            } else {
                echo "<div class='col-md-12 text-center'>
                        <p>No top locations available</p>
                      </div>";
            }
            ?>
        </div>
    </div>
</div>
<?php include("./includes/footer.php") ?>
