<?php

// Start the session to check for login status
// session_start();

// Determine if the server is running on localhost or a live domain
$base_url = (strpos($_SERVER['SERVER_NAME'], 'localhost') !== false) ? 'http://www.localhost/newproject' : 'http://' . $_SERVER['HTTP_HOST'];

// Check if the current URL does not start with 'www.'
if (strpos($_SERVER['HTTP_HOST'], 'www.') === false) {
    // Redirect to the same URL with 'www.' prefixed
    $redirect_url = $base_url . $_SERVER['REQUEST_URI'];
    header("Location: $redirect_url", true, 301);
    exit();
}

?>


<?php include './includes/config.php'; ?>
<meta name="viewport" content="width=device-width, initial-scale=1">  
<link rel="stylesheet" href="<?= $base_url?>assets/css/output.css" />
<link rel="stylesheet" href="<?= $base_url?>assets/css/style.css" />
<script src="<?= $base_url?>assets/js/modernizr.custom.js"></script>
<script src="https://cdn.tailwindcss.com"></script>
<script src="https://code.jquery.com/jquery-3.6.0.min.js"></script>

        
<!--<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.15.3/css/all.min.css">-->
<script type="application/ld+json">
    {
    "@context": "https://schema.org/",
    "@type": "WebSite",
    "name": "Adult Classified Ads & Independent Call Girls - liptkal.net",
    "url": "http://www.localhost/newproject/",
    "potentialAction": {
        "@type": "SearchAction",
        "target": "http://www.localhost/newproject/search/?q={search_term_string}",
        "query-input": "required name=search_term_string"
    }
    }
</script>
<!-- Google tag (gtag.js) -->
<script async src="https://www.googletagmanager.com/gtag/js?id=G-10WJ92DMVR"></script>
<script>
  window.dataLayer = window.dataLayer || [];
  function gtag(){dataLayer.push(arguments);}
  gtag('js', new Date());

  gtag('config', 'G-10WJ92DMVR');
</script>                                                                                                                                                                                                                                                                                                         
    </head>

    <body >

<!-- Header -->
<!-- Header -->
<header class="bg-[#202733] py-4 border-b-2 border-white sticky top-0 z-50">
    <div class="flex justify-between items-center w-[95%] sm:w-[90%] mx-auto">
        <!-- Logo -->
        <div>
            <p class="text-4xl font-bold text-white">LOGO</p>
        </div>

        <!-- Navigation Links -->
        <div class="md:flex items-center gap-5 hidden">
            <?php
            // Check if user is logged in
            if (isset($_SESSION['user_id']) && $_SESSION['user_logged_in'] === true) {
                // User is logged in
                echo '
                <a href="' . $base_url . '/ad_listing.php">
                    <span class="text-[#202733] bg-gradient-to-b from-[#ecca83] to-[#c5a454] inline-block py-2 px-6 rounded-md text-lg text-center font-semibold">Post Ad</span>
                </a>
                <a href="' . $base_url . '/logout.php">
                    <span class="text-[#202733] bg-gradient-to-b from-[#ecca83] to-[#c5a454] inline-block py-2 px-8 rounded-md text-lg text-center font-semibold">Logout</span>
                </a>';
            } else {
                // User is not logged in
                echo '
                <a href="' . $base_url . '/ad_listing.php">
                    <span class="text-[#202733] bg-gradient-to-b from-[#ecca83] to-[#c5a454] inline-block py-2 px-6 rounded-md text-lg text-center font-semibold">Post Ad</span>
                </a>
                <a href="' . $base_url . '/login.php">
                    <span class="text-[#202733] bg-gradient-to-b from-[#ecca83] to-[#c5a454] inline-block py-2 px-8 rounded-md text-lg text-center font-semibold">Login</span>
                </a>';
            }
            ?>
        </div>
    </div>
</header>



