<?php include './includes/config.php'; ?>
<?php
       
       session_start();
        ?>
<?php
// Check if city_id is provided in the GET request

if (isset($_GET['id'])) {
    $id = $_GET['id'];
    // echo $id;
    // die();

    // Prepare the SQL query
    $querymet = "SELECT * FROM ads WHERE id = $id";

    // Execute the query
    $resultmet = mysqli_query($conn, $querymet);

    if ($resultmet) {
        // Check if any rows were returned
        if (mysqli_num_rows($resultmet) > 0) {
            // Fetch the data
            $rowmet = mysqli_fetch_assoc($resultmet);

            // Extract the values
            $meta_title1 = $rowmet['title'];
            $meta_keywords1 = $rowmet['meta_keywords'];
             $meta_description1 = substr($rowmet['meta_description'], 0, 150);

         
        } else {
            // echo "No data found for ads with ID $city_id";
        }
    } else {
        echo "Query error: " . mysqli_error($conn);
    }
}
else {
    ?>
                   <script>
         window.location.href = "<?= $base_url?>404";

     </script> 
    <?php
}
$protocol = isset($_SERVER['HTTPS']) && $_SERVER['HTTPS'] === 'on' ? "https" : "http";
$host = $_SERVER['HTTP_HOST'];
$request_uri = $_SERVER['REQUEST_URI'];

$current_url = $protocol . "://" . $host . $request_uri;

    ?>
        
<!DOCTYPE html>
<html lang="en">
    <head>
        <meta charset="UTF-8" />
        <title><?php echo $meta_title1; ?></title>
        <meta name="title" content="<?php echo $meta_title1; ?>">
        <meta name="description" content="<?php echo $meta_description1; ?>">
        <meta name="keywords" content="<?php echo $meta_keywords1; ?>">
<meta name="author" content="Fokkat.com ">
<meta name="robots" content="index/follow">
<meta name="copyright" content="Copyright By Fokkat.com ">
<meta name="og:title" content="<?php echo $meta_title; ?>">
<meta name="og:description" content="<?php echo $meta_description1; ?>">
<meta name="og:image" content="">
<meta name="og:type" content="website">
<meta content="yes" name="apple-mobile-web-app-capable" />
<meta name="googlebot" content="index, follow" />
<meta name="bingbot" content="index, follow" />
<meta content="yes" name="apple-touch-fullscreen" />
<meta name="google" content="notranslate" />
<meta name="rating" content="general" />
<meta property="og:locale" content="en_IN" />
<meta property="og:url" content="<?php echo $current_url; ?>" />
<meta property="og:site_name" content="Fokkat.com" />
<meta property="article:tag" content="Fokkat.com" />
<meta name="twitter:card" content="summary" />
<meta name="twitter:site" content="@fokkat">
<meta name="twitter:title" content="<?php echo $meta_title; ?>" />
<meta name="twitter:description" content="<?php echo $meta_description1; ?>" />
<meta name="twitter:image" content="" />
<meta name="twitter:image:alt" content="Fokkat.com">
<link rel="canonical" href="<?php echo $current_url; ?>"/>
<link rel="alternate" href="<?php echo $current_url; ?>" hreflang="en-in" />
<link rel="alternate" href="<?php echo $current_url; ?>" hreflang="hi-in" />

           <?php include("./includes/header.php") ?>

<section>
    <?php

$query = "SELECT 
            ads.*, 
            city.city_name AS city, 
            states.state_name AS state
          FROM ads
          INNER JOIN city ON ads.city_id = city.id
          INNER JOIN states ON ads.state_id = states.id
          WHERE ads.id = $id";

$result = mysqli_query($conn, $query);

if ($result) {
    if ($row = mysqli_fetch_assoc($result)) {
        // Store the columns in variables, including city and state names
        $title = $row['title'];
        $city = $row['city'];
        $state = $row['state'];
        $whatsapp_number = $row['whatsapp_number'];
        $contact_number = $row['contact_number'];
        $main_image = $row['main_image'];
        $image1 = $row['image1'];
        $image2 = $row['image2'];
        $image3 = $row['image3'];
        $image4 = $row['image4'];
        $meta_title = $row['meta_title'];
        $meta_description = $row['meta_description'];
        $meta_keywords = $row['meta_keywords'];
        $url = $row['url'];
        $status = $row['status'];
        $age = $row['age'];
        $gender = $row['gender'];
        $is_featured = $row['is_featured'];
        $serviceList = explode(',',$row['services']);
        $date = $row['date'];

        // Now, you can use these variables as needed
    } else {
        ?>
                       <script>
         window.location.href = "<?= $base_url?>404";

     </script> 
        <?php
    }
} else {
    echo "Error in the query: " . mysqli_error($conn);
}

// Close the database connection
// mysqli_close($conn);
?>
        <div class="h-[200px] md:h-[250px] lg:h-[350px] w-full relative flex justify-center items-center" style="background-repeat: no-repeat; background-size: cover; background-position: center; background-image: url(https://i.icanvas.com/ADT575?d=2&sh=h&t=1734546283);">
            <img src="<?= $base_url . 'admin/uploads/' . $main_image?>" class="absolute rounded-md border border-red-500 object-cover h-[150px] w-[150px] sm:h-[200px] sm:w-[200px] lg:left-20 bottom-[-100px] sm:bottom-[-130px] lg:bottom-[-300px] md:h-[250px] md:w-[250px] lg:h-[400px] lg:w-[300px]" alt="">
        </div>
        <div class="w-[90%]  mx-auto">
            <h1 class="text-xl mt-[120px] sm:mt-[140px] md:mt-[150px] md:text-2xl lg:text-3xl font-bold lg:ml-[350px] lg:mt-10"><?=$title?> </h1>
            <div class="flex items-center gap-1  mt-1 sm:justify-start">
                <p class="text-slate-500 lg:ml-[350px]"><?=$age?> | </p>
               <span class="inline-flex items-center text-slate-500"><svg xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24" stroke-width="1.5" stroke="currentColor" class="size-5">
                   <path stroke-linecap="round" stroke-linejoin="round" d="M15 10.5a3 3 0 1 1-6 0 3 3 0 0 1 6 0Z" />
                   <path stroke-linecap="round" stroke-linejoin="round" d="M19.5 10.5c0 7.142-7.5 11.25-7.5 11.25S4.5 17.642 4.5 10.5a7.5 7.5 0 1 1 15 0Z" />
                 </svg>
                 <?= $city?> |
                 </span>
                 <span class="inline-flex gap-[2px] items-center text-slate-500"><svg xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24" stroke-width="1.5" stroke="currentColor" class="size-5">
                    <path stroke-linecap="round" stroke-linejoin="round" d="M8.25 21v-4.875c0-.621.504-1.125 1.125-1.125h2.25c.621 0 1.125.504 1.125 1.125V21m0 0h4.5V3.545M12.75 21h7.5V10.75M2.25 21h1.5m18 0h-18M2.25 9l4.5-1.636M18.75 3l-1.5.545m0 6.205 3 1m1.5.5-1.5-.5M6.75 7.364V3h-3v18m3-13.636 10.5-3.819" />
                  </svg>
                  
                  Mahipalpur
                  </span>
              </div>
            <p class="text-sm sm:text-lg lg:ml-[350px] mt-2 lg:mt-4"><?=$meta_description?></p>
        </div>
        <div class="w-[90%]  mx-auto mt-5 lg:mt-[200px]">
            <div class="flex flex-col lg:flex-row gap-4  lg:gap-10 mt-5">
                <div class="w-full lg:w-[50%]">
                    <h2 class="text-lg font-bold sm:text-xl md:text-2xl lg:text-center underline">Gallery</h2>
                    <div class=" gap-4 grid grid-cols-1 md:grid-cols-2 mt-4">
                    <?php

                $isImageavailable=true;
        // Display images conditionally
        if (!empty($image1)) {
            $isImageavailable=false;
            echo '<div>
                    <img src="' . $base_url . 'admin/uploads/' . $image1 . '" class="object-cover h-[300px] sm:h-[350px] w-full" alt="">
                  </div>';
        }

        if (!empty($image2)) {
            $isImageavailable=false;
            echo '<div>
                    <img src="' . $base_url . 'admin/uploads/' . $image2 . '" class="object-cover h-[300px] sm:h-[350px] w-full" alt="">
                  </div>';
        }

        if (!empty($image3)) {
            $isImageavailable=false;
            echo '<div>
                    <img src="' . $base_url . 'admin/uploads/' . $image3 . '" class="object-cover h-[300px] sm:h-[350px] w-full" alt="">
                  </div>';
        }

        
        if (!empty($image4)) {
            $isImageavailable=false;
            echo '<div>
                    <img src="' . $base_url . 'admin/uploads/' . $image4 . '" class="object-cover h-[300px] sm:h-[350px] w-full" alt="">
                  </div>';
        }
        

?>
                    </div>
                    <?php 
                        if (empty($image1) && empty($image2) && empty($image3) && empty($image4)) {
                            echo '<p class="text-center text-lg text-gray-500 mt-4 flex items-center justify-center font-bold">No other images are available.</p>';
                        }
                    ?>
                </div>
                <div class="w-full lg:w-[50%]">
                    <h3 class="text-lg font-bold sm:text-xl lg:text-center md:text-2xl underline">Services</h3>
                    <div class="flex flex-wrap gap-4 mt-4">
    <?php
    // Ensure $serviceList is available and not empty
    if (!empty($serviceList)) {
        // Loop through the $serviceList array
        foreach ($serviceList as $service) {
            // Trim any extra spaces from the service name
            $service = trim($service);

            // Output each service as a link
            echo '<a href="#" class="flex-grow py-3 px-8 bg-gradient-to-r from-blue-500 to-teal-500 text-white rounded-lg shadow-lg hover:shadow-2xl hover:scale-105 transition-all duration-300 transform flex items-center justify-center">' . htmlspecialchars($service) . '</a>';
        }
    }
    ?>
</div>
                    <h3 class="text-lg hidden lg:block font-bold sm:text-xl lg:text-center md:text-2xl underline mt-4">Contact</h3>
                    <div class="lg:flex flex-col gap-4 mt-4 hidden">
                        <a href="tel:<?=$contact_number?>" class="bg-red-500 w-[50%] sm:w-auto text-white  px-3 py-2 rounded-md flex items-center justify-center hover:bg-red-700"><img width="20" height="20" src="https://img.icons8.com/ios-glyphs/15/ffffff/incoming-call--v2.png" alt="incoming-call--v2"><span class="px-1">Phone</span></a>
            <a href="https://api.whatsapp.com/send?phone=<?=$whatsapp_number?>" class="bg-green-700 w-[50%] sm:w-auto text-white  px-4 py-2 rounded-md flex items-center justify-center hover:bg-green-800"><img width="20" height="20" src="https://img.icons8.com/ios-filled/15/ffffff/whatsapp.png" alt="whatsapp"><span class="px-1">Whatsapp</span></a>
                    </div>
                </div>
            </div>
        </div>
        <?php
// Get the current profile id from URL
$id = $_GET['id']; 

// Assuming $conn is your database connection
// Fetch the city_id and locality_id of the current profile
$current_profile_query = "
    SELECT ads.city_id, ads.locality_id
    FROM ads
    WHERE ads.id = $id
";
$current_profile_result = mysqli_query($conn, $current_profile_query);
$current_profile = mysqli_fetch_assoc($current_profile_result);
$city_id = $current_profile['city_id'];
$locality_id = $current_profile['locality_id']; 

// Fetch all similar profiles (exclude the current profile) from the same city and locality
$query = "
    SELECT 
        ads.*, 
        city.slug AS city, 
        states.state_name AS state,
        locality.slug AS locality
    FROM ads
    INNER JOIN city ON ads.city_id = city.id
    INNER JOIN states ON ads.state_id = states.id
    LEFT JOIN locality ON ads.locality_id = locality.id
    WHERE ads.city_id = $city_id 
    AND ads.id != $id
    ORDER BY RAND()
    LIMIT 4
";


$result = mysqli_query($conn, $query);
?>

<div class="w-[90%] mx-auto mt-5 lg:mt-10">
    <h5 class="text-lg font-bold sm:text-xl md:text-2xl lg:text-center underline">Similar profiles</h5>
    <div class="grid grid-cols-1 md:grid-cols-2 gap-4 lg:grid-cols-3 xl:grid-cols-4 mt-4 md:mt-6">
        <?php while($profile = mysqli_fetch_assoc($result)) { ?>
            <div class="py-6 px-6 bg-[#E5D9F2] border border-red-500 rounded-xl shadow-lg space-y-2">
                <!-- Dynamically generating the URL for each profile -->
                <a href="<?= $base_url . 'call-girls/' . urlencode($profile['city']) . '/' . urlencode($profile['locality']) . '/cg-' . $profile['id'] ?>">
                    <img class="block border border-red-500 mx-auto h-[150px] object-cover rounded-full shrink-0" 
                         src="<?= $base_url . 'admin/uploads/' . $profile['main_image']?>" alt="Profile Image">
                </a>
                <div class="text-center space-y-4">
                    <div class="space-y-1">
                        <p class="text-lg md:text-xl text-black font-semibold text-ellipsis line-clamp-2">
                            <?= htmlspecialchars($profile['title']) ?>
                        </p>
                        <div class="flex items-center gap-1 text-center justify-center">
                            <p class="text-slate-500">Age: <?= htmlspecialchars($profile['age']) ?> | </p>
                            <span class="inline-flex items-center text-slate-500">
                                <svg xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24" stroke-width="1.5" stroke="currentColor" class="size-5">
                                    <path stroke-linecap="round" stroke-linejoin="round" d="M15 10.5a3 3 0 1 1-6 0 3 3 0 0 1 6 0Z" />
                                    <path stroke-linecap="round" stroke-linejoin="round" d="M19.5 10.5c0 7.142-7.5 11.25-7.5 11.25S4.5 17.642 4.5 10.5a7.5 7.5 0 1 1 15 0Z" />
                                </svg>
                                <?= htmlspecialchars($profile['city']) ?>
                            </span>
                        </div>
                        <p class="text-slate-500 text-ellipsis line-clamp-3 font-medium">
                            <?= htmlspecialchars($profile['meta_description']) ?>
                        </p>
                    </div>
                    <div class="flex gap-2">
                        <a href="tel:<?= htmlspecialchars($profile['contact_number']) ?>" 
                           class="bg-red-500 w-[50%] text-white text-sm px-3 py-2 rounded-md flex items-center justify-center hover:bg-red-700">
                            <img width="15" height="15" src="https://img.icons8.com/ios-glyphs/15/ffffff/incoming-call--v2.png" alt="Phone">
                            <span class="px-1">Phone</span>
                        </a>
                        <a href="https://api.whatsapp.com/send?phone=<?= htmlspecialchars($profile['whatsapp_number']) ?>" 
                           class="bg-green-700 w-[50%] text-white text-sm px-4 py-2 rounded-md flex items-center justify-center hover:bg-green-800">
                            <img width="15" height="15" src="https://img.icons8.com/ios-filled/15/ffffff/whatsapp.png" alt="Whatsapp">
                            <span class="px-1">Whatsapp</span>
                        </a>
                    </div>
                </div>
            </div>
        <?php } ?>
    </div>
</div>



    </div>
</div>



       
    </section>
    <div class="flex w-full gap-2 bg-white p-1 sticky bottom-0 lg:hidden">
        <a href="tel:9000000000" class="bg-red-500 w-[50%]  text-white  px-3 py-2 rounded-md flex items-center justify-center hover:bg-red-700"><img width="20" height="20" src="https://img.icons8.com/ios-glyphs/15/ffffff/incoming-call--v2.png" alt="incoming-call--v2"><span class="px-1">Phone</span></a>
            <a href="https://api.whatsapp.com/send?phone=9000000000" class="bg-green-700 w-[50%]  text-white  px-4 py-2 rounded-md flex items-center justify-center hover:bg-green-800"><img width="20" height="20" src="https://img.icons8.com/ios-filled/15/ffffff/whatsapp.png" alt="whatsapp"><span class="px-1">Whatsapp</span></a>
    </div>
    <div class="<?= $classF1 ?> <?= $classF2 ?> <?= $classF3 ?> <?= $classF4 ?>">
       <?php include("./includes/footer.php") ?>
    </div>   
