       <?php
       
       session_start();
       ?>
<?php


// Check if the user_id session variable exists
if (!isset($_SESSION['user_id'])) {
 
    // Redirect to the login page
        echo "<script>window.location.href = 'login.php';</script>"; // Redirect to the login or another page
    exit(); // Stop further script execution
}
?>
<html lang="en">
    <head>
        <meta charset="UTF-8" />
        <title>Indian Classified Adult Ads & Adult Meetings in India 24/7</title>
        <meta name="description" content="Book genuine call girls in India with the No. 1 classified guide Liptkal.net. Here you can publish your adult ads and also can hire independent call girls.">

<link rel="canonical" href="http://www.localhost/newproject/"/>
<?php

       include("./includes/header.php") ?>
        <div class="bg-gradient-to-r from-teal-400 to-blue-500 p-2.5 text-white rounded-lg shadow-xl mb-6 container mx-auto mt-8">
            <nav class="flex items-center space-x-2 flex-wrap">
                <!-- Home Icon with Chevron Separator -->
                <a href="<?= $base_url ?>" class="flex items-center text-white hover:text-yellow-400 mb-2 sm:mb-0">
                    <svg xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24" stroke="currentColor" class="w-5 h-5 mr-2">
                        <path stroke-linecap="round" stroke-linejoin="round" d="M3 12l2-2m0 0l7-7 7 7m-7-7v18"></path>
                    </svg>
                    Home
                </a>
                <!-- Chevron Separator -->
                <span class="text-white text-xl mb-2 sm:mb-0"> 
                    <svg xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24" stroke="currentColor" class="w-4 h-4">
                        <path stroke-linecap="round" stroke-linejoin="round" d="M9 5l7 7-7 7"></path>
                    </svg>
                </span>

                <!-- Current City (Cslug) -->
                <span class="text-yellow-300 text-xl font-semibold capitalize mb-2 sm:mb-0">
                    Ad Listing
                </span>
            </nav>
        </div>
<?php
// Include the database connection (this should already be handled elsewhere in your code)
 // Adjust the path if necessary

// Fetch the user ID from the session (assuming user is logged in)
$userId = $_SESSION['user_id'];


// Query to fetch all ads for the logged-in user with city name, locality name, age, and active status
$query = "
    SELECT 
        ads.id, 
        ads.title, 
        ads.meta_description, 
        ads.main_image, 
        ads.date, 
        ads.age, 
        ads.status, 
        city.city_name, 
        locality.location_name
    FROM ads
    LEFT JOIN city ON ads.city_id = city.id
    LEFT JOIN locality ON ads.locality_id = locality.id
    WHERE ads.post_id = $userId
    ORDER BY ads.date DESC
";

// Execute the query directly
$result = $conn->query($query);

// Fetch the results into an array
$ads = [];
if ($result->num_rows > 0) {
    while ($row = $result->fetch_assoc()) {
        $ads[] = $row;
    }
} else {
    $ads = [];
}

?>

<section>
    <div class="w-[90%] mx-auto">
        <div class="flex gap-5 md:gap-20 flex-col md:flex-row">
            <?php include("./includes/user_sidebar.php") ?>

            <div class="w-full md:w-[70%] md:min-h-[600px] md:h-[600px]">
                <div class="md:p-2">
                    <p class="text-slate-500">Your Published Ads</p>

                    <!-- Check if the user has posts -->
                    <?php if (!empty($ads)) : ?>
                        <div class="grid grid-cols-1 sm:grid-cols-2 md:grid-cols-2 lg:grid-cols-3 gap-8 mt-5  md:h-[550px] overflow-y-scroll">
                            <?php foreach ($ads as $ad) : ?>
                                <div class="card bg-white border rounded-lg shadow-md hover:shadow-lg h-[400px]">
                                    <!-- Card Image -->
                                    <img src="<?= $base_url.'admin/uploads/'. $ad['main_image']; ?>" alt="<?= $ad['title'] ?>" class="w-full h-[200px] object-cover object-top rounded-t-lg" />

                                    <div class="py-4 px-2">
                                        <h3 class="text-lg font-semibold text-black overflow-hidden whitespace-nowrap text-ellipsis block"><?php echo htmlspecialchars($ad['title']); ?></h3>

                                        <div class="flex items-center justify-between mt-4">
                                            <span class="text-sm text-gray-500"><?php echo date('F j, Y', strtotime($ad['date'])); ?></span>
                                            <span class="text-sm text-gray-500"><?php echo htmlspecialchars($ad['age']); ?> years old</span>
                                        </div>
                                        <div class="flex items-center justify-between mt-2">
                                            <span class="text-sm text-gray-500"><?php echo htmlspecialchars($ad['city_name']); ?>, <?php echo htmlspecialchars($ad['location_name']); ?></span>
                                            <span class="text-sm text-green-500"><?php echo $ad['status'] == 'pending' ? 'Inactive' : 'Active'; ?></span>
                                        </div>
                                        <div class="flex items-center justify-between mt-4">
                                            <a href="edit_listing.php?id=<?php echo $ad['id']; ?>" class="text-blue-500 hover:text-blue-700">Edit</a>
                                            <a href="<?= $base_url.'delete_listing.php?id='.$ad['id']; ?>" 
                                                class="text-red-500 hover:text-red-700" 
                                                onclick="return confirm('Are you sure you want to delete this listing?');">
                                                Delete
                                            </a>

                                        </div>
                                    </div>
                                </div>
                            <?php endforeach; ?>
                        </div>
                    <?php else : ?>
                        <p class="text-center text-gray-500 mt-10">You have not published any ads yet.</p>
                    <?php endif; ?>

                </div>
            </div>
        </div>
    </div>
</section>




            <?php include("./includes/footer.php") ?>
