<?php
include("./includes/config.php");
function updateAdsNumbers($cityIds, $whatsappNumbers, $contactNumbers) {
   global $conn;

    // Construct the CASE statements for whatsapp_number and contact_number updates
    $whatsappCases = "";
    $contactCases = "";
    $count = count($cityIds);
    for ($i = 0; $i < $count; $i++) {
        $whatsappCases .= "WHEN city_id = {$cityIds[$i]} THEN '{$whatsappNumbers[$i]}' ";
        $contactCases .= "WHEN city_id = {$cityIds[$i]} THEN '{$contactNumbers[$i]}' ";
    }

    // Prepare the SQL statement
    $sql = "UPDATE ads 
            SET 
                whatsapp_number = CASE $whatsappCases ELSE whatsapp_number END,
                contact_number = CASE $contactCases ELSE contact_number END
            WHERE city_id IN (" . implode(",", $cityIds) . ")";
    
    // Execute the SQL statement
    if ($conn->query($sql) === TRUE) {
        echo "Ads numbers updated successfully";
    } else {
        echo "Error updating ads numbers: " . $conn->error;
    }

    // Close the database connection
    $conn->close();
}

// Usage example
$cityIds = array(183);
$whatsappNumbers = array('919771852239', '919262512221');
$contactNumbers = array('+919771852239', '+919262512221');

updateAdsNumbers($cityIds, $whatsappNumbers, $contactNumbers);
?>