<?php
$meta_title = "Terms & Conditions - liptkal.net";
$meta_description = "";
$meta_keywords = "";
?>
<!DOCTYPE html>
<html lang="en">
    <head>
        <meta charset="UTF-8" />
        <title><?php echo $meta_title; ?></title>
        <meta name="title" content="<?php echo $meta_title; ?>">
        <meta name="description" content="<?php echo $meta_description; ?>">
        <meta name="keywords" content="<?php echo $meta_keywords; ?>">

       <?php include("./includes/header.php") ?>
<main class="main container container-palette"> 
                     <section class="section widget-top-title container container-palette" data-parallax="scroll" data-image-src="assets/img/placeholder/post-preview.jpg" style="padding: 25px !important;">
            <div class="container">
                <div class="body" style="margin: 0px; text-align: left;">
                    <span class="subtitle"><i class="fa fa-home"></i> > Privacy Policy</span>
                </div>
            </div>
        </section>
                        <br>

                <div class="container"> 


    <div class="row">
        <div class="col-md-12">
                    <h1 class="text-center"><b>Terms and Conditions</b></h1><br>
<p><strong>Terms and Conditions for liptkal.net</strong></p>

<p><strong>Effective Date:</strong> September 23, 2023</p>

<p><strong>Contact Information:</strong> Email: <a href="mailto:contact@liptkal.net" target="_new">contact@liptkal.net</a></p>

<p>Please read these Terms and Conditions carefully before using liptkal.net (&quot;the Website&quot;). By accessing or using the Website, you agree to be bound by these Terms and Conditions. If you do not agree with any part of these Terms and Conditions, please do not use the Website.</p>

<p><strong>1. Use of the Website</strong></p>

<p>1.1. You must be at least 18 years of age or the legal age of majority in your jurisdiction to use this Website. By using the Website, you represent and warrant that you meet these requirements.</p>

<p>1.2. You agree to use the Website in compliance with all applicable laws and regulations, and you are solely responsible for any violations of such laws and regulations.</p>

<p>1.3. You may not use the Website for any unlawful or unauthorized purpose, including but not limited to distributing harmful software, engaging in fraudulent activities, or infringing upon the rights of others.</p>

<p><strong>2. User Accounts</strong></p>

<p>2.1. If you create an account on the Website, you are responsible for maintaining the security of your account and password. You agree to promptly notify us of any unauthorized access or use of your account.</p>

<p>2.2. We reserve the right to terminate or suspend your account at our discretion, with or without notice, for any reason, including but not limited to violation of these Terms and Conditions.</p>

<p><strong>3. Content</strong></p>

<p>3.1. The content on the Website, including text, images, videos, and other materials, is provided for informational purposes only. We make no representations or warranties regarding the accuracy, completeness, or suitability of the content.</p>

<p>3.2. You may not copy, distribute, modify, or reproduce any content from the Website without our prior written consent.</p>

<p><strong>4. Privacy</strong></p>

<p>4.1. Your use of the Website is also governed by our Privacy Policy, which is incorporated by reference into these Terms and Conditions.</p>

<p><strong>5. Intellectual Property</strong></p>

<p>5.1. All intellectual property rights related to the Website, including but not limited to trademarks, copyrights, and logos, are owned by or licensed to us.</p>

<p><strong>6. Disclaimer of Warranties</strong></p>

<p>6.1. The Website is provided &quot;as is&quot; and &quot;as available&quot; without any warranties of any kind, whether express or implied. We do not guarantee that the Website will be error-free or uninterrupted.</p>

<p><strong>7. Limitation of Liability</strong></p>

<p>7.1. To the extent permitted by law, we shall not be liable for any indirect, incidental, special, consequential, or punitive damages arising from your use of the Website.</p>

<p><strong>8. Governing Law</strong></p>

<p>8.1. These Terms and Conditions shall be governed by and construed in accordance with the laws of Delhi, India.</p>

<p><strong>9. Changes to Terms and Conditions</strong></p>

<p>9.1. We reserve the right to modify or update these Terms and Conditions at any time. Any changes will be effective upon posting on the Website. It is your responsibility to review these Terms and Conditions periodically for updates.</p>

<p><strong>10. Contact Information</strong></p>

<p>10.1. If you have any questions or concerns about these Terms and Conditions, please contact us at the following email address: <a href="mailto:contact@liptkal.net" target="_new">contact@liptkal.net</a>.</p>

<p>By using liptkal.net, you agree to abide by these Terms and Conditions.</p>

        </div>
       
        
        
    </div>

    </div>
       </main>
               <?php include("./includes/footer.php") ?>
